<?php

namespace App\Http\Controllers\Admin;

use App\Models\Post;
use App\Models\User;
use App\Models\Comment;
use App\Models\PostReaction;
use Illuminate\Http\Request;
use Yajra\DataTables\DataTables;
use App\Http\Controllers\Controller;
use App\Models\ReportPost;

class AdminPostController extends Controller
{
    public function index()
    {
        $data['page_title'] = 'All Posts';
        return view('admin.posts.index',$data);
    }
    public function list(Request $request)
    {
        if ($request->ajax()) {
          
            $data = Post::latest()->get();
       
        return DataTables::of($data)
            ->addIndexColumn()
            ->addColumn('username', function($data){
                $username = User::find($data->user_id)->username??'Unknown';
                return $username;
            })
            
            ->addColumn('action', function($row){
                $actionBtn = "<a href='".route('admin.posts.delete', $row)."' 
                class='btn btn-danger btn-xs' 
                onclick='return confirm(\"Are you sure you want to delete this item?\")'>
                <i class='fa fa-trash m-1'></i>Delete</a>";
                return $actionBtn;
            })
            ->rawColumns(['action'])
            ->make(true);
        }
    }
    public function delete($id)
    {
        PostReaction::where('post_id',$id)->delete();
        Comment::where('post_id',$id)->delete();
        Post::where('id',$id)->delete();
        session()->flash('success', 'Post deleted successfully');
        return back();
    }
    public function reportPosts()
    {
        $data['page_title'] = 'All Post Report';
        $data['reports'] = ReportPost::where('status',0)->get();
        return view('admin.posts.report',$data);
    }
    public function reportSpacesaction(Request $request)
    {
        $action  = $request->action;
        $report_id = $request->report_id;
        if($action=='approve')
        {
            $report = ReportPost::find($report_id);
            Post::where('id',$report->post_id)->delete();
            PostReaction::where('post_id',$report->post_id)->delete();
            Comment::where('post_id',$report->post_id)->delete();
            ReportPost::where('id',$report_id)->update(['status'=>1]);
            session()->flash('success', 'Report Approved Successfully');
            return back();
        }
        else
        {
            ReportPost::where(['id'=>$report_id])->delete();
            session()->flash('success', 'Report rejected Successfully');
            return back();
        }
    }
}
