<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Category;
use App\Models\Technology;
use Illuminate\Http\Request;

class CategoryController extends Controller
{
    
    public function index()
    {
        $data['page_title'] = "All Categories";
        $data['categories']  = Category::all();
        checkPurchaseCode();
        return view('admin.categories.index',$data);
    }
    public function store(Request $request)
    {
        $validate = $request->validate([
            'name'=>'required'
        ]);
        $category = New Category();
        $category->name  = $request->input('name');
        $res = $category->save();
        if($res)
        {
            session()->flash('success', 'Category  is added Successfully');
            return back();
        }
        
    }
    public function update(Request $request)
    {
        $validate = $request->validate([
            'id'=>'required',
            'name'=>'required'
        ]);
        $category =Category::find($request->id);
        $category->name  = $request->input('name');
        $res = $category->update();
        if($res)
        {
            session()->flash('success', 'Category is updated Successfully');
            return back();
        }
        
    }
    public function delete($id)
    {
        $res =Category::where('id',$id)->delete();
        if($res)
        {
            session()->flash('success', 'Category is deleted Successfully');
            return back();
        }
        
    }
    
}
