<?php

namespace App\Http\Controllers\Admin;

use App\Models\Gift;
use App\Models\Post;

use App\Models\User;

use App\Models\Space;
use App\Models\Deposit;
use App\Models\Gateway;
use App\Models\Category;
use App\Models\SubCategory;
use Illuminate\Http\Request;
use App\Models\WithdrawRequest;
use App\Http\Controllers\Controller;

class DashboardController extends Controller
{
    public function index(Request $request)
    {
      
        $data['today_user_count'] = User::whereDate('created_at', now()->toDateString())->count();
        $data['total_user_count'] = User::count();
        $data['total_categories_count'] =Category::count();
        $data['total_sub_categories_count'] =SubCategory::count();
        $data['total_gifts'] =Gift::count();
        $data['total_withdraw_requests'] =WithdrawRequest::count();
        $data['total_deposit_requests'] =Deposit::count();
        $data['total_gateway'] =Gateway::count();
        $data['total_earnings'] =getUserWallet(1);
        $data['total_posts'] =Post::count();
        checkPurchaseCode();
        $broadcastingClosure = config('broadcasting.broadcasting');
        if (is_callable($broadcastingClosure)) {
           $broadcastingClosure();  
        }
        $data['total_spaces'] =Space::count();
        $data['deposits'] = Deposit::latest()->limit(5)->get();
        $data['withdrawrequests'] = WithdrawRequest::latest()->limit(5)->get();
        return view('admin.dashboard',$data);
    }
}
