<?php

namespace App\Http\Controllers\Admin;

use App\Models\Deposit;
use App\Models\Gateway;
use Illuminate\Http\Request;
use App\Models\WithdrawMethod;
use Yajra\DataTables\DataTables;
use App\Http\Controllers\Controller;

class DepositController extends Controller
{
    public function index()
    {
        
        $data['page_title'] = 'All Deposits';
        return view('admin.deposit.index',$data);

    }
      public function list(Request $request)
    {
        if ($request->ajax()) {
          
                $data = Deposit::latest()->get();
           
            return DataTables::of($data)
                ->addIndexColumn()
                ->addColumn('withdraw_method', function($data){
                    $withdraw_methodName = Gateway::find($data->gateway_id)->name;
                    return $withdraw_methodName;
                })
                ->addColumn('created_at', function($data){
                   return $data->created_at->format('d-m-Y');
                })


                ->addColumn('action', function($row){
                    $actionBtn = "<a href=".route('admin.deposits.details',$row)."  class='btn btn-warning btn-xs'><i class='fa fa-eye  m-1'></i>Details</a>";
                    return $actionBtn;
                })
                ->rawColumns(['action'])
                ->make(true);
        }
    }
    public function details($id)
    {
        $data['page_title']='Deposite Details';
        $data['deposit']= Deposit::find($id);
        return view('admin.deposit.view',$data);
    }
}
