<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Faq;
use Illuminate\Http\Request;

class FAQController extends Controller
{
    public function index()
    {
        $data['page_title'] = "All faqs";
        $data['faqs']  = Faq::all();
        return view('admin.faqs.index',$data);
    }
    public function store(Request $request)
    {
        $validate = $request->validate([
            'question'=>'required',
            'answer'=>'required'

        ]);
        $faq = New Faq();
        $faq->question  = $request->input('question');
        $faq->answer  = $request->input('answer');
        $res = $faq->save();
        if($res)
        {
            session()->flash('success', 'FAQ added successfully');
            return back();
        }
        
    }
    public function update(Request $request)
    {
        $validate = $request->validate([
            'faq_id'=>'required',
            'question'=>'required',
            'answer'=>'required'
        ]);
        $faq =Faq::find($request->faq_id);
        $faq->question  = $request->input('question');
        $faq->answer  = $request->input('answer');
        $res = $faq->update();
        // echo $res;
        if($res)
        {
            session()->flash('success', 'FAQ updated Successfully');
            return back();
        }
        
    }
    public function delete($id)
    {
        $res =Faq::where('id',$id)->delete();  
        if($res)
        {
            session()->flash('success', 'FAQ deleted Successfully');
            return back();
        }
        
    }
}
