<?php

namespace App\Http\Controllers\Admin;

use App\Models\Gateway;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class GatewayController extends Controller
{
    public function index()
    {
        $data['page_title'] = 'All Gateways';
        $data['gateways'] = Gateway::all();
        return view('admin.gateways.index',$data);
    }
    public function store(Request $request)
    {
        $validated = $request->validate([
            'name' => 'required|string|max:100', // Ensure the 'name' field is validated
        ]);
        $gateway = New Gateway();
        $gateway->name   = $request->name;
        $gateway->description = $request->description;
        $gateway->status = $request->status;
        $logo = $request->file('logo');
        if(!empty($logo))
        {
            $gateway->logo = storeMedia($logo,'gateway_logo');
        }
        $gateway->save();
        session()->flash('success', 'Gateway  added Successfully');
        return redirect()->route('admin.gateways.index');
    }
    public function edit($id)
    {
        $data['page_title'] = 'Edit Gateway';
        $data['gateway'] = Gateway::find($id);
        return view('admin.gateways.edit',$data);
    }
    public function update(Request $request , $id)
    {
        $validated = $request->validate([
            'name' => 'required|string|max:100', // Ensure the 'name' field is validated
        ]);
        $gateway =Gateway::find($id);
        $gateway->name   = $request->name;
        $gateway->description = $request->description;
        $gateway->status = $request->status;
        $logo = $request->file('logo');
        if(!empty($logo))
        {
            $gateway->logo = storeMedia($logo,'gateway_logo');
        }
        $gateway->update();
        session()->flash('success', 'Gateway  added Successfully');
        return redirect()->route('admin.gateways.index');
    }
    public function delete($id)
    {
        if($id>5)
        {
            Gateway::where('id',$id)->delete();        
            session()->flash('success', 'Gateway  deleted successfully');
            return redirect()->route('admin.gateways.index');
        }
        session()->flash('error', "Can not delete system's Gateways");
        return redirect()->route('admin.gateways.index');
    }

}
