<?php

namespace App\Http\Controllers\Admin;

use App\Models\Gift;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class GiftController extends Controller
{
    public function index()
    {
        $data['page_title'] = 'All Gifts';
        $data['gifts'] =Gift::all();
        checkPurchaseCode();
        return view('admin.gifts.index',$data);
    }
 
    public function store(Request $request)
    {
        
        $gift = New Gift;
        $gift->price = $request->input('price');
        $gift->name = $request->input('name');
        $image = $request->file('image');
        if($image)
        {
           $gift->image = storeMedia($image,'gift_image');
        }
        $gift->save();
        session()->flash('success', 'Gift Created Successfully');
        return redirect()->route('admin.gifts.index');
    }
    public function edit($id)
    {
        $data['page_title'] = 'Edit Gift ';
        $data['gift'] = Gift::findOrFail($id);
        return view('admin.gifts.edit',$data);

    }
    public function update(Request $request, $id)
    {
        $validate = $request->validate([
            'price'=>'required',
            'image'=>'file|mimes:jpg,png,gif,jpeg'
        ]);
        $gift = Gift::findOrFail($id);
        $gift->price = $request->input('price');
        $gift->name = $request->input('name');
        $image = $request->file('image');
        if($image)
        {
           $gift->image = storeMedia($image,'gift_image');
        }
        $gift->update();
        session()->flash('success', 'Gift updated Successfully');
        return redirect()->route('admin.gifts.index');
    }
    public function delete($id)
    {
        
        $res = Gift::where('id',$id)->delete();

        if($res)
        {
            session()->flash('success', 'Gift deleted Successfully');
            return redirect()->route('admin.gifts.index');
        }
        
    }
}
