<?php

namespace App\Http\Controllers\Admin;

use App\Models\Setting;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Validator;

class SettingController extends Controller
{
    public function generalSetting()
    {
        $data['page_title'] = 'General Settings';
        checkPurchaseCode();
        return view('admin.settings.general',$data);
    }
    public function updateSetting(Request $request)
    {
        if(env('IS_DEMO')==1)
        {
            return response()->json(['code'=>400,'message'=>'Value can not update in demo version '], 200);        
        }
        $validator = Validator::make($request->all(), [
            'key' => 'required',
            'value' => 'required',
        ]);
        if($validator->fails()){
            return response()->json(['code'=>400,'error_message'=>$validator->errors()], 200);
        }
        $key = $request->key;
        $value = $request->value;
        if (!$key) {
            return response()->json(['code'=>400,'Key and value are required'], 200);         
        }
        
        Setting::where('name',$key)->update(['value'=>$value]);
        return response()->json(['code'=>200,'message'=>'Value updated Successfully'], 200);  
    }
    public function uploadLogo(Request $request)
    {
        if(env('IS_DEMO') ==1)
        {
            return response()->json(['code'=>400,'message'=>'Value can not update in demo version '], 200);
        }
        $site_logo = $request->file('website_logo');
        $favicon = $request->file('favicon');
        $dashboard_icon = $request->file('dashboard_icon');
       
        $data = [];
        if(!empty($site_logo))
        {
            $sitelogoUploadPath  = storeMedia($site_logo,'website_logo') ;
            $website_logo = Setting::where('name','website_logo')->first();
            if(!empty($website_logo))
            {
                Setting::where('id',$website_logo->id)->update(['value'=>$sitelogoUploadPath]);   
                $data['wesite_logo']=getMedia($sitelogoUploadPath);       
            }
        }
        if(!empty($favicon))
        {
            $faviconImagePath  = storeMedia($favicon,'favicon') ;
            $oldfavicon = Setting::where('name','favicon')->first();
            if(!empty($oldfavicon))
            {
               Setting::where('id',$oldfavicon->id)->update(['value'=>$faviconImagePath]);  
                $data['favicon']=getMedia($faviconImagePath);
            }
        }
        if(!empty($dashboard_icon))
        {
            $olddashboard_icon = Setting::where('name','dashboard_icon')->first();
            if(!empty($olddashboard_icon))
            {
                $dashboardicon  = storeMedia($dashboard_icon,'dashboard_icon') ;
               Setting::where('id',$olddashboard_icon->id)->update(['value'=>$dashboardicon]);  
                $data['dashboard_icon']=getMedia($dashboardicon);
            }   
        }
        return response()->json(['code'=>200,'message'=>'Icons updated successfully','data'=>$data], 200);
    }
    public function updateShare(Request $request)
    {
        if(env('IS_DEMO')==1)
        {
            return response()->json(['code'=>400,'message'=>'Values can not update in demo version '], 200);
        }
        $space_admin = $request->space_admin;
        $platform_admin = $request->platform_admin;
        
        $admin_share = $request->admin_share;
        $space_admin_share = $request->space_admin_share;
        Setting::where('name',$platform_admin)->update(['value'=>$admin_share]);
        Setting::where('name',$space_admin)->update(['value'=>$space_admin_share]);

    }
}
