<?php

namespace App\Http\Controllers\Admin;

use App\Models\Category;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\SubCategory;

class SubCategoryController extends Controller
{
    public function index()
    {
        $data['categories'] = Category::all();
        $data['page_title'] = 'All Sub Categories';
        $data['subcategories'] = SubCategory::all();
        return view('admin.subcategories.index',$data);
    }
    public function store(Request $request)
    {
        $validate = $request->validate([
            'name'=>'required',
            'category_id'=>'required'
        ]);
        $subcategory = New SubCategory();
        $subcategory->name  = $request->input('name');
        $subcategory->category_id  = $request->input('category_id');
        $res = $subcategory->save();
        if($res)
        {
            session()->flash('success', 'Sub Category is added Successfully');
            return back();
        }
        
    }
    public function edit($id)
    {
        $data['page_title'] = 'Edit Category';
        $data['subcategory'] = SubCategory::find($id);
        $data['categories'] = Category::all();
        return view('admin.categories.edit',$data);

        
    }
    public function update(Request $request,$id)
    {
        $validate = $request->validate([
            'category_id'=>'required',
            'name'=>'required'
        ]);
        $category =SubCategory::find($id);
        $category->name  = $request->input('name');
        $category->category_id  = $request->input('category_id');

        $res = $category->update();
        if($res)
        {
            session()->flash('success', 'Sub Category  is updated Successfully');
            return redirect()->route('admin.subcategories.index');
        }
        
    }
    public function delete($id)
    { 
        SubCategory::where('id',$id)->delete();
        session()->flash('success', 'Sub Category is deleted Successfully');
        return redirect()->route('admin.subcategories.index');
    }
}
