<?php

namespace App\Http\Controllers\Admin;

use App\Models\User;
use Illuminate\Http\Request;
use App\Rules\OldPasswordRule;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;

class UserController extends Controller
{
    public function editprofile()
    {
        $data['page_title'] = "Edit Profile ";
        return view('admin.user.editprofile',$data);
    }
    public function updateprofile(Request $request)
    {
        $validate_data = $request->validate([
            'first_name'=>'required|regex:/^[a-zA-Z\s]+$/',
            'last_name'=>'required|regex:/^[a-zA-Z\s]+$/',
            
            'user_profile'=>'image|mimes:jpeg,png,jpg,gif|max:2048',
        ]);
        $user = User::find(Auth::id());
        $user->first_name = $request->input('first_name');
        $user->last_name = $request->input('last_name');
        
        $user->youtube = $request->input('youtube');
        $user->facebook = $request->input('facebook');
        $user->instagram = $request->input('instagram');
        $profile_image = $request->file('profile_image');
       
        if(!empty($profile_image))
        {
           $user->profile_image = storeMedia($profile_image,'user_profile');
        }
        

        if($user->update())
        {
            session()->flash('success', 'User Profile updated Successfully');
            return back();
        }
    }
    public function change_password()
    {
        $data['page_title']  = 'Change Password';
        return view('admin.user.change-password',$data);
    }
    public function updatepassword(Request $request)
    {
        if(env('IS_DEMO')==1){
            session()->flash('error', 'Can not change password in Demo Version');
        }
        else
        {
            $user = Auth::user();
            $request->validate([
                'old_password' => ['required', new OldPasswordRule],
                'password' => 'required|confirmed|min:8',
            ]);        
            if (Hash::check($request->old_password, $user->password)) {
                $user->password = Hash::make($request->password);
                $user->save();
                session()->flash('success', 'Password Changed Successfully');
            }
        }
        return back();
    }
}
