<?php

namespace App\Http\Controllers\Admin;

use App\Models\User;
use App\Models\Notification;
use Illuminate\Http\Request;
use App\Models\WithdrawMethod;
use App\Models\WithdrawRequest;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use Yajra\DataTables\Facades\DataTables;

class WithdrawRequestController extends Controller
{
    public function index()
    {
        $data['page_title'] = 'All withdraw Methods';
        return view('admin.withdraw-request.index',$data);
    }
    public function list(Request $request)
    {
        if ($request->ajax()) {
            $data = WithdrawRequest::latest()->get();

            return DataTables::of($data)
                ->addIndexColumn()
                ->addColumn('user_id', function ($data) {
                    return User::select('username')->where('id',$data->user_id)->first()->username;


                })


                ->addColumn('action', function($row){
                    $actionBtn = "<a href=".route('admin.withdrawrequests.view',$row)." ><i class='fa fa-edit text-info m-1'></i></a> ";
                    return $actionBtn;
                })
                ->rawColumns(['action'])
                ->make(true);
        }
    }
    public function view($id)
    {
        $data['page_title'] ='Edit Withdraw Method';
        $data['withdraw'] =WithdrawRequest::find($id);

        return view('admin.withdraw-request.edit',$data);
    }
    public function action(Request $request,$id)
    {
        $withdrawal = WithdrawRequest::findOrFail($id);

        if ($request->input('action') == 'approve') {
            $withdrawal->status = 2; // Set status to Approved (you can use constants if needed)
            $message = 'Withdrawal request approved successfully.';
            $notificationType = 'withdraw_approved';
        } elseif ($request->input('action') == 'reject') {
            $withdrawal->status = 3; // Set status to Rejected (you can use constants if needed)
            $message = 'Withdrawal request rejected successfully.';
            $notificationType = 'withdraw_rejected';
        }

        $withdrawal->save();

        // Create notification
        $notification = new Notification();
        $notification->from_user_id = Auth::id();
        $notification->to_user_id = $withdrawal->user_id; // User ID of the requester
        $notification->text = "Your ". $message;

        $notification->notification_type = $notificationType;
        $notification->save();


        return redirect()->back()->with('success', $message);

    }
}
