<?php

namespace App\Http\Controllers\Api;

use App\Models\Faq;
use App\Models\User;
use App\Models\Space;
use App\Models\Category;
use Carbon\CarbonPeriod;
use App\Models\BlockUser;
use App\Models\Followers;
use App\Models\ReportUser;
use App\Models\SubCategory;
use App\Models\Transaction;
use App\Models\Notification;
use App\Models\UserInterest;
use Illuminate\Http\Request;
use App\Models\InterestedSpeaker;
use Illuminate\Support\Facades\DB;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Validator;

class ApiUserController extends Controller
{
    public function getuserdata(Request $request)
    {
        
        $user_id = $request->user_id;
        $loggedInUser = $request->user();
        if(!empty($user_id))
        {
            $userdata = User::where('id',$user_id)->first();
            if(empty($userdata))
            {
                return response()->json(['code'=>400,'error_message'=>'User Not Found'], 200);
            }
            $notificationModel = New Notification();
            $recentNotification = $notificationModel->getRecentNotifications($loggedInUser->id, $user_id);
           
            if(empty($recentNotification))
            {
                $profile_image = getMedia($loggedInUser->profile_image,'user_profile');
                $username = $loggedInUser->username;
                if($userdata->notify_view_profile==1)
                {
                    Notification::create([
                        'from_user_id'=>$loggedInUser->id,
                        'to_user_id'=>$user_id,
                        'notification_type'=>'view_profile',
                        'text'=>'viewed your profile '
                    ]);
                    if(!empty($userdata->device_id)){
                        sendPushNotificaiton($username,$userdata->device_id,$profile_image,'viewed your profile','Profile View');
                    }
                }
            }
        }
        else{
            $userdata = $request->user();
        }
        $followerModel = New Followers();
        $blockModel = New BlockUser();
        $reportModel = New ReportUser();
        
        $userdata['profile_image'] = getMedia($userdata->profile_image,'user_profile');
        $userdata['is_following'] = $followerModel->chechkfollow($loggedInUser->id,$user_id);
        $userdata['is_blocked'] = $blockModel->checkBlock($loggedInUser->id,$user_id);
        $userdata['is_reported'] = $reportModel->checkReprted($loggedInUser->id,$user_id);
        
        $userdata['spacedata'] = null;
        $space = Space::where(['user_id'=>$userdata->id,'status'=>'upcoming'])->orderBy('start_time','asc')->first();
        if(!empty($space))
        {
            $spaceModel = New Space;
            $userdata['spacedata'] = $spaceModel->getsingleSpace($space,$userdata->id);
        }
        
        return response()->json(['code'=>200,'message'=>'User Data Found Successfully ','data'=>$userdata], 200);

    }
    public function updateProfile(Request $request)
    {
        $inputData = $request->all();
        $user = $request->user();
        $updateData = [];
        foreach ($inputData as $fieldName => $fieldValue) {
            $updateData[$fieldName] = $fieldValue;
        }
        $profile_image = $request->file('profile_image');
        if ($profile_image) {
            $uploadprofileimagePath = storeMedia($profile_image, 'user_profile');
            $updateData['profile_image'] = $uploadprofileimagePath;
        }
        
        User::where('id', $user->id)->update($updateData);

        $user_info = User::find($user->id);
        $user_info['profile_image'] = getMedia($user_info->profile_image,'profile_image');
      
        return response()->json(['code' => 200, 'message' => 'Profile Updated Successfully', 'data' => $user_info], 200);
    }
    
    public function followUnFollowUser(Request $request)
    {
       
        $validator = Validator::make($request->all(), [
            'to_user_id'=>'required',
        ]);
        if($validator->fails()){
            $first_error = $validator->errors()->first();
            return response()->json(['code'=>400,'error_message'=>$first_error], 200);
        }
       
        $loggedInUser = $request->user();
        $loggedInUserId = $loggedInUser->id;
        $to_user_id = $request->to_user_id;
        if($to_user_id==$loggedInUserId){
            return response()->json(['code'=>400,'error_message'=>'Can not follow yourself '], 200);
        }
        $userdata = User::find($to_user_id);
        if(empty($userdata)){
            return response()->json(['code'=>400,'error_message'=>'User Not Found '], 200);
        }

        $checkOldFollow = Followers::where(['from_user_id'=>$loggedInUserId,'to_user_id'=>$to_user_id])->first();
        if(empty($checkOldFollow))
        {
            $userdata->increment('follower_count');
            User::find($loggedInUserId)->increment('following_count');

            Followers::create(['from_user_id'=>$loggedInUserId,'to_user_id'=>$to_user_id]);
            if($loggedInUserId!=$to_user_id && $userdata->notify_add_member==1)
                {
                    $text = 'started following you';
                    Notification::create([
                        'from_user_id' =>$loggedInUserId,
                        'to_user_id' =>$to_user_id,
                        'text'=>$text,
                        'notification_type'=>'follow_me'
                    ]);

                    $username = $loggedInUser->username;
                    $profile_image = getMedia($loggedInUser->profile_image);
                    if(!empty($userdata->device_id))
                    {
                       
                        sendPushNotificaiton($username,$userdata->device_id,$profile_image,$text,'New Follower');
                    }   
                }
            return response()->json(['code' => 200, 'message' => 'Follow Successfully'], 200); 
        }
        $checkOldFollow->delete();
        $userdata->decrement('follower_count');
        User::find($loggedInUserId)->decrement('following_count');
        return response()->json(['code' => 200, 'message' => 'Unfollow Successfully'], 200); 
    }
    public function searchUser(Request $request)
    {
        $loggedInuser = $request->user();
        $search_string = $request->search_string;
        $limit = $request->limit??10;
        $offset = $request->offset??0;

        $search_parts = explode(' ', $search_string);
        $search_conditions = [];

        foreach ($search_parts as $part) {
            $search_conditions[] = "first_name LIKE '%$part%' OR last_name LIKE '%$part%'";
        }

        $search_condition_sql = implode(' OR ', $search_conditions);

        $sql = "SELECT id FROM users 
            WHERE ($search_condition_sql) 
            AND id != {$loggedInuser->id} 
            ORDER BY follower_count DESC 
            LIMIT {$limit} OFFSET {$offset}";
        $users = DB::select($sql);
        if(count($users)>0)
        {
            $userdata =[];
            $userModel = New User;
            foreach($users as $user)
            {
                $userdata[] = $userModel->usershortInfo($user->id,$loggedInuser->id);
            }
            return response()->json(['code' => 200, 'message' => 'Fetch User Sucessfully','data'=>$userdata], 200); 
        }
        return response()->json(['code' => 200, 'message' => 'User not found','data'=>$users], 200); 

    }
    public function updateInterest(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'subcategory_ids'=>'required',
        ]);
        if($validator->fails()){
            $first_error = $validator->errors()->first();
            return response()->json(['code'=>400,'error_message'=>$first_error], 200);
        }
        $user = $request->user();
        $sub_category_ids = $request->subcategory_ids;
        $subcategoryIdArray = explode(',', $sub_category_ids);
        UserInterest::where('user_id',$user->id)->whereNotIn('subcategory_id',$subcategoryIdArray)->delete();
        foreach ($subcategoryIdArray as $subcategoryId) {
           $subcategory = SubCategory::find($subcategoryId);
           if(!empty($subcategory))
           {
            UserInterest::updateOrCreate(
                ['user_id' => $user->id, 'subcategory_id' => $subcategoryId], 
            );
           }
        }
        return response()->json(['code' => 200, 'message' => 'User interest is updated'], 200); 
        
    }
    public function getInterest(Request $request)
    {
        $limit = $request->limit??15;
        $offset = $request->offset??0;
        $user = $request->user();
        $categories = Category::limit($limit)->offset($offset)->get();
        if(!empty($categories))
        {
            foreach($categories as $category)
            {
                $subcategories = SubCategory::where('category_id',$category->id)->get();
                if(!empty($subcategories))
                {
                    foreach($subcategories as $subcategory)
                    {
                        $subcategory['is_selected'] = (UserInterest::where(['subcategory_id'=>$subcategory->id,'user_id'=>$user->id])->count()>0)?1:0;
                    }
                }
                $category['subcategories'] = $subcategories;

            }
        }
        return response()->json(['code' => 200, 'message' => 'Sub Categories fetch successfully','data'=>$categories], 200); 
    }
    public function getSpeakers(Request $request)
    {
        $loggedInUser = $request->user();
        $search_string = $request->search_string;
        $limit = $request->limit??10;
        $offset = $request->offset??0;
        $usersarray = [];
        $userModel  = New User();
        $users = User::where('id', '!=', $loggedInUser->id)
        ->where('username', 'like', '%' . $search_string . '%')
        ->skip($offset)
        ->take($limit)
        ->pluck('id')
        ->toArray();
      
        if(!empty($users) && count($users))
        {
            foreach($users as $user)
            {
                $usersarray[] = $userModel->usershortInfo($user,$loggedInUser->id);
            }
            return response()->json(['code' => 200, 'message' => 'User fetch successfully','data'=>$usersarray], 200); 
        }
        return response()->json(['code' => 200, 'message' => 'User not found','data'=>$usersarray], 200); 
    }
    public function getUserWallet(Request $request)
    {
        $user = $request->user();
        $userwallet = getUserWallet($user->id);
        $transactionModel = New Transaction();
        $dateFrom = now()->subDays(6)->format('Y-m-d');
        $dateTo = now()->format('Y-m-d');
        $totalSum = 0;
        $sevendayearning = [];
        $sevendaytotal = 0;
      
        $earnings= $transactionModel->earningbreakdown($user->id);
        $period = CarbonPeriod::create($dateFrom, $dateTo);
    
        foreach ($period as $date) {
            $dateString = $date->format('Y-m-d');
    
            $credit = DB::table('transactions')
                ->selectRaw('SUM(amount) as total_amount')
                ->where('flag', 'C')
                ->whereDate('created_at', $dateString)
                ->where('user_id', $user->id)
                ->whereIn('description', [1, 4, 5])
                ->first();
                $totalSum = !empty($credit->total_amount) ? $credit->total_amount : 0;
                $sevendaytotal = $totalSum + $sevendaytotal;
                $today = [
                'day' => $dateString,
                'total_earnings' => (string) (!empty($totalSum) ? $totalSum : '0'),
            ];
            
            $sevendayearning[] = $today;
        }
        $earnings['seven_day_earning'] = (string)$sevendaytotal;
        return response()->json([
            'code' => 200,
            'message' => 'User wallet fetch successlly',
            'amount'=>(string)$userwallet,
            'user_id'=>$user->id,
            'username'=>$user->username,
            'earnings' =>$earnings,
            'seven_days_earnings'=>array_reverse($sevendayearning)
        ], 200); 
    }
    public function updateSpeakers(Request $request)
    {
       
        $validator = Validator::make($request->all(), [
            'speaker_ids'=>'required',
        ]);
        if($validator->fails()){
            $first_error = $validator->errors()->first();
            return response()->json(['code'=>400,'error_message'=>$first_error], 200);
        }
        $user = $request->user();
        $speakerids = $request->speaker_ids;
        $speakerIdArray = explode(',', $speakerids);
        InterestedSpeaker::where('user_id',$user->id)->whereNotIn('speaker_id',$speakerIdArray)->delete();
        foreach ($speakerIdArray as $speakerId) {
            $checkemptyuser = User::find($speakerId);
            if(!empty($checkemptyuser) && $user->id!= $speakerId)
            {
                InterestedSpeaker::updateOrCreate(
                    ['user_id' => $user->id, 'speaker_id' => $speakerId], 
                );
            }
        }
        return response()->json(['code' => 200, 'message' => 'Favourite  speaker set successfully'], 200); 
            
      
    } 
    public function transferFund(Request $request)
    {
        
        $validator = Validator::make($request->all(), [
            'user_id' => 'required',
            'amount' => 'required|numeric|min:0'
        ]);
        if($validator->fails()){
            $first_error = $validator->errors()->first();
            return response()->json(['code'=>400,'error_message'=>$first_error], 200);
        }
      

        $user_id = $request->user_id;
        $loggedInUser = $request->user();
        $user = User::find($user_id);

        if ($user_id == $loggedInUser->id) {
            return response()->json([
                'code' => 400,
                'error_message' => 'Cannot transfer to your own account',
            ]);
        }

        if (is_null($user)) {
            return response()->json([
                'code' => 400,
                'error_message' => 'User not found',
            ]);
        }

        $amount = (float) $request->amount;
        $userWalletBalance = (float) getUserWallet($loggedInUser->id);
     
        if ($amount > $userWalletBalance) {
            return response()->json([
                'code' => 400,
                'error_message' => 'Insufficient balance',
            ]);
        }

        DB::beginTransaction();

        try {
            $deductionData = [
                'user_id' => $loggedInUser->id,
                'amount' => $amount,
                'flag' => 'D',
                'description' => 5,
            ];

            $creditEntry = [
                'user_id' => $user_id,
                'amount' => $amount,
                'flag' => 'C',
                'description' => 6,
            ];

            Transaction::create($deductionData);
            Transaction::create($creditEntry);

            DB::commit();

            return response()->json([
                'code' => 200,
                'message' => 'Amount transferred successfully',
            ]);
        } catch (\Exception $e) {
            DB::rollBack();
            return response()->json([
                'code' => 500 ,
                'message' => 'Amount cannot be transferred due to: ' . $e->getMessage(),
            ]);
        }
    } 
    public function blockUser(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'to_user_id' => 'required',
        ]);
        if($validator->fails()){
            $first_error = $validator->errors()->first();
            return response()->json(['code'=>400,'error_message'=>$first_error], 200);
        }
        $to_user_id = $request->to_user_id;
        $from_user_id = $request->user()->id;
        $user  = User::find($to_user_id);
        if(empty($user))
        {
            return response()->json([
                'code' => 400 ,
                'error_message' => 'User not found',
            ]);
        }
        $checkBlock = BlockUser::where(['from_user_id'=>$from_user_id,'to_user_id'=>$to_user_id])->first();
        if(empty($checkBlock))
        {
            BlockUser::create(['from_user_id'=>$from_user_id,'to_user_id'=>$to_user_id]);
            return response()->json([
                'code' => 200 ,
                'message' => 'User blocked successfully',
                'is_blocked'=>1
            ]);
        }
        $checkBlock->delete();
        return response()->json([
            'code' => 200 ,
            'message' => 'User unblocked successfullly',
            'is_blocked'=>0

        ]);
    }
    public function reportUser(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'to_user_id' => 'required',
            'reason'=>'required'
        ]);
        if($validator->fails()){
            $first_error = $validator->errors()->first();
            return response()->json(['code'=>400,'error_message'=>$first_error], 200);
        }
        $to_user_id = $request->to_user_id;
        $from_user_id = $request->user()->id;
        $user  = User::find($to_user_id);
        if(empty($user))
        {
            return response()->json([
                'code' => 400 ,
                'error_message' => 'User not found',
            ]);
        }
        $alreadyreport = ReportUser::where(['from_user_id'=>$from_user_id,'to_user_id'=>$to_user_id])->first();
        if(!empty($alreadyreport))
        {
            return response()->json([
                'code' => 400 ,
                'error_message' => 'Already reported',
            ]);
        }
        ReportUser::create(['from_user_id'=>$from_user_id,'to_user_id'=>$to_user_id,'reason'=>$request->reason]);
        return response()->json([
            'code' => 200 ,
            'message' => 'User Reported successfully',
            'is_reported'=>1
        ]);
      
    }
    public function blockList(Request $request)
    {
        $loggedInUser = $request->user();
        $limit = $request->limit??10;
        $offset = $request->offset??0;
        $users = [];
        $blockList = BlockUser::where('from_user_id', $loggedInUser->id)
            ->limit($limit)
            ->offset($offset)
            ->pluck('to_user_id')
        ->toArray();
        if(count($blockList)>0)
        {
            $userModel = New User;
            foreach($blockList as $blockuser)
            {
                $userdata = $userModel->usershortInfo($blockuser);
                if(!empty($userdata))
                {
                    $users[] = $userdata;
                }
            }
            return response()->json([
                'code' => 200 ,
                'message' => 'Blocked User fetch successfully',
                'data'=>$users
            ]);
        }
        return response()->json([
            'code' => 200 ,
            'message' => 'Blocked User not found',
            'data'=>$users
        ]);

    }
    public function getUserWalletData(Request $request){
        $user = $request->user();
        $userwallet = getUserWallet($user->id);
        return response()->json([
            'code' => 200 ,
            'message' => 'User Wallet fetch successfully',
            'data'=>$userwallet
        ]);
    }
}
