<?php

namespace App\Http\Controllers\Api;

use App\Models\Faq;
use App\Models\User;
use App\Models\Policy;
use App\Models\Setting;
use App\Models\SubCategory;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class BackendController extends Controller
{
    public function getFaqs(Request $request)
    {
        $limit = $request->limit??10;
        $offset = $request->offset??0;
        $faqs = Faq::limit($limit)->offset($offset)->get();
        if(!empty($faqs) && count($faqs)>0)
        {
            return response()->json(['code' => 200, 'message' => 'Faq fetch successfully', 'data' =>$faqs], 200);
        }
        return response()->json(['code' => 200, 'message' => 'Faq not found','data'=>$faqs], 200); 
    } 
    public function getSiteSetting(Request $request)
    {
        $allsettings = Setting::where('privacy','public')->get();
        $settings =[];
        foreach ($allsettings as $setting)
        {
            if($setting['name']=='website_logo' || $setting['name']=='favicon')
            {
                $settings[$setting['name']] = getMedia($setting['value']);
            }
            else
            {
                $settings[$setting['name']] = $setting['value'];
            }
        }
       
    
        $speakers = [];
        $users = User::select('id')->orderBy('follower_count','desc')->limit(18)->get();
        if(!empty($users))
        {
            $userModel = New User;
            foreach($users as $user)
            {
                $userdata = $userModel->usershortInfo($user->id);
                $speakers[] = $userdata;
            }
        }
        $settings['speakers'] = $speakers;
        
        return response()->json(['code' => 200, 'message' => 'Fetch Site setting successfully', 'data' =>$settings], 200);
    }
    public function termAndCondition()
    {
        $term = Policy::where('type',1)->first();
        if(!empty($term))
        {

            return response()->json(['status'=>200,'message'=>'Term page  Fetch  successfully ','data'=>$term], 200);
        }
        return response()->json(['status'=>400,'message'=>'Term Page not found','data'=>$term], 200);
    }
    public function privcyPolicy()
    {
        $privacyPloicy = Policy::where('type',2)->first();
        if(!empty($privacyPloicy))
        {

            return response()->json(['status'=>200,'message'=>'Privacy page  Fetch  successfully ','data'=>$privacyPloicy], 200);
        }
        return response()->json(['status'=>400,'message'=>'Privacy Page not found','data'=>$privacyPloicy], 200);
    }
    public function cookiePolicy()
    {
        $cookiesPolicy = Policy::where('type',3)->first();
        if(!empty($cookiesPolicy))
        {

            return response()->json(['status'=>200,'message'=>'Cookie page  Fetch  successfully ','data'=>$cookiesPolicy], 200);
        }
        return response()->json(['status'=>400,'message'=>'Cookie Page not found','data'=>$cookiesPolicy], 200);
    }
    public function About()
    {
        $about = Policy::where('type',4)->first();
        if(!empty($about))
        {

            return response()->json(['status'=>200,'message'=>'About page  Fetch  successfully ','data'=>$about], 200);
        }
        return response()->json(['status'=>400,'message'=>'About Page not found','data'=>$about], 200);
    }
}
