<?php

namespace App\Http\Controllers\Api;

use GuzzleHttp\Client;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Log;
use App\Http\Controllers\Controller;
use App\Services\FlutterwaveService;
use Illuminate\Support\Facades\Validator;

class FlutterwaveController extends Controller
{

    

    public function getTransactionDetails(Request $request)
    {
            $client = new Client();
            $transaction_id = $request->transaction_id;

    
            $response = $client->request('GET', 'https://api.flutterwave.com/v3/transactions/' . $transaction_id . '/verify', [
                'headers' => [
                    'Authorization' => 'Bearer '.env('FLUTTERWAVE_SECRET_KEY'),
                ],
            ]);

            $responseBody = json_decode($response->getBody(), true);

            if ($responseBody['status'] == 'success') {
                return response()->json([
                    'data' => $responseBody['data']
                ]);
            } else {
                return response()->json([
                    'status' => 'error',
                    'message' => $responseBody['message']
                ]);
            }
       
    }
}
