<?php

namespace App\Http\Controllers\Api;

use Illuminate\Http\Request;
use App\Services\PayPalService;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Validator;

class PayPalController extends Controller
{
    protected $payPalService;

    public function __construct(PayPalService $payPalService)
    {
        $this->payPalService = $payPalService;
    }

    public function getTransactionDetails(Request $request)
    {
        $validator = Validator::make($request->all(), [

            'transaction_id' => 'required',
            
        ]);

        if($validator->fails()){
            return response()->json(['code'=>400,'error_message'=>$validator->errors()->first()], 200);
        }
        $transactionId = $request->input('transaction_id');

        $details = $this->payPalService->getTransactionDetails($transactionId);

        return response()->json($details);
    }
}
