<?php

namespace App\Http\Controllers\Api;

use Illuminate\Http\Request;
use App\Services\PayFastService;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Validator;

class TransactionController extends Controller
{
    protected $payFastService;

    public function __construct(PayFastService $payFastService)
    {
        $this->payFastService = $payFastService;
    }

    public function getTransactionDetails(Request $request)
    {
        $validator = Validator::make($request->all(), [
           'transaction_id' => 'required',
        ]);
        if($validator->fails()){
            return response()->json(['code'=>400,'error_message'=>$validator->errors()->first()], 200);
        }
        $transactionId = $request->transaction_id;
        $details = $this->payFastService->getTransactionDetails($transactionId);

        return response()->json($details);
    }
}
