<?php

namespace App\Http\Controllers\Auth;

use App\Models\User;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use App\Providers\RouteServiceProvider;
use Illuminate\Foundation\Auth\AuthenticatesUsers;

class LoginController extends Controller
{
    /*
    |--------------------------------------------------------------------------
    | Login Controller
    |--------------------------------------------------------------------------
    |
    | This controller handles authenticating users for the application and
    | redirecting them to your home screen. The controller uses a trait
    | to conveniently provide its functionality to your applications.
    |
    */

    use AuthenticatesUsers;

    /**
     * Where to redirect users after login.
     *
     * @var string
     */
    protected $redirectTo = RouteServiceProvider::HOME;

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        
        $this->middleware('guest')->except('logout');
    }
    protected function authenticated(Request $request, $user)
    {
        if ($user->hasRole('administrator') && $user->status==1) {
            session()->flash('success', 'Welcome Back '.Auth::user()->username);
            return redirect()->route('admin.dashboard');
        }
       
        else{
            $this->guard()->logout();
            $request->session()->invalidate();
            $request->session()->regenerateToken();
            $message = ($user->status==2)?'Your account is suspended':"You are not allowed";
            session()->flash('status', $message);
            return redirect()->route('login');
        }
    }
}
