<?php

namespace App\Http\Controllers;

use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Validator;
use Illuminate\Support\Facades\Hash;
class RegisterController extends Controller
{
    public function register(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'name'=>'required',
            'email' => 'required|email|unique:users,email',
            'password' => 'required',
            'c_password' => 'required|same:password',
        ]);
        if($validator->fails()){
            return response()->json(['validation_errors'=>$validator->errors()], 200);
        }
        $user = New User;
        $user->user_name = $request->user_name;
        $user->name = $request->name;
        $user->email = $request->email;
        $user->password = Hash::make($request->password);
        $user->device_token = !empty($request->device_token)? $request->device_token:null;
        $user->login_type = !empty($request->login_type)? $request->login_type:null;
        $user->identity = !empty($request->identity)? $request->identity:null;
        $user->platform = !empty($request->platform)? $request->platform:null;
        $user->save();
        $success['token'] =  $user->createToken('MyApp')->plainTextToken;
        // $success['user'] =  $user;
        return response()->json(['success'=>$success], 200);
    }
    public function login(Request $request)
    {
        $validator = Validator::make($request->all(), [

            'email' => 'required|email',
            'password' => 'required',

        ]);

        if($validator->fails()){
            return response()->json(['validation_errors'=>$validator->errors()], 200);
        }
        if(Auth::attempt(['email' => $request->email, 'password' => $request->password])){
            $user = Auth::user();
            $token =  $user->createToken('MyApp')->plainTextToken;
            
            return response()->json(['status'=>'200','data'=>$user,'token'=>$token], 200);
        }
        else{
            return response()->json(['error'=>'Invalid User Name or Password'], 200);
        }
    }
   


}
