<?php

namespace App\Models;

use Illuminate\Support\Facades\Auth;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Post extends Model
{
    use HasFactory,SoftDeletes;
    public function getPostDetails($post,$loggedInUserId=0)
    {
        
        if (is_int($post)) {
            $post = $this->find($post);
        }
        
        if (empty($post)) {
            return null;
        }
        
        // Use object syntax to access properties
        $post->is_liked = (PostReaction::where(['user_id' => $loggedInUserId, 'post_id' => $post->id])->count() > 0) ? 1 : 0;
        
        $userModel = new User;
        $reportPostModel = New ReportPost();
        $post->user = $userModel->usershortInfo($post->user_id, Auth::id());
        $post->edited = ($post->created_at!=$post->updated_at)?1:0;
        $post->is_reported = $reportPostModel->checkReport($post->id, Auth::id());
        
        return $post;
        
    }
    
}
