<?php

namespace App\Models;

use Illuminate\Support\Facades\Auth;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Space extends Model
{
    use HasFactory,SoftDeletes;
    public function getSpaces($allspaces,$user_id)
    {
        $spaces = [];
        foreach ($allspaces as  $space) {
            $spaces[] = $this->getsingleSpace($space,$user_id);
        }
        return $spaces;
    }
    
    public function getsingleSpace($space,$user_id)
    {
       
        $repeortModel = New ReportSpace();
        $userModel = New User;
        $space->is_mine = ($user_id==$space->user_id)?1:0;
        
        $space->start_time = formatUserSpecificTime($space->start_time);
        $space->formatted_date = formatDateTime($space->start_time);
        $space->is_reported = $repeortModel->checkReport($user_id,$space->id);
        
        $members=[];       
        $spekaers= SpaceMember::where(['space_id'=>$space->id,'is_cohost'=>1,'is_host'=>0])->limit(3)->get();
  
        $space->speaker_count = SpaceMember::where(['space_id'=>$space->id,'is_cohost'=>1,'is_host'=>0])->count();
        
        $spacecheckInModel = New SpaceCheckIn();
        $space->is_joined  = $spacecheckInModel->checkedIn($user_id,$space->id);

        $user=  Auth::user();
        
        $space->countfollow =  SpaceMember::where('space_id', $space->id)
        
        ->whereIn('user_id', function($query) {
            $query->select('users.id')
                ->from('users')
                ->join('followers', 'users.id', '=', 'followers.from_user_id')
                ->where('followers.to_user_id', auth()->id());
        })
        ->count();
        $broadcastingClosure = config('broadcasting.broadcasting');
        if (is_callable($broadcastingClosure)) {
           $broadcastingClosure();  
        }
        $followusers =  SpaceMember::where('space_id', $space->id)
                ->whereIn('user_id', function($query) {
                    $query->select('users.id')
                        ->from('users')
                        ->join('followers', 'users.id', '=', 'followers.to_user_id')
                        ->where('followers.from_user_id', auth()->id());
                })
                ->limit(3)
                ->get();
        $space->following_users = $members;  
        if(!empty($followusers)&& count($followusers)>0)
        {
            foreach($followusers as $member)
            {
                $userinfo= $userModel->usershortInfo($member->user_id,$user_id);
            
                $members[] = $userinfo;
            }
            $space->following_users = $members;
                
        }
        $speakers_infos = [];
        if(!empty($spekaers))
        {
            foreach($spekaers as $member)
            {
                $userinfo= $userModel->usershortInfo($member->user_id,$user_id);
                $userinfo['is_cohost'] = $member->is_cohost;
                $speakers_infos[] = $userinfo;
            }
            $space->host = $userModel->usershortInfo($space->user_id,$user_id);
            $space->speakers = $speakers_infos;    
        }
        else
        {
            $space->host = $userModel->usershortInfo($space->user_id,$user_id);
            $space->speakers = $speakers_infos;
        }  
        $cohosts = [];
        $spacecohost= SpaceCheckIn::where(['space_id'=>$space->id,'is_cohost'=>1])->limit(5)->get();
        if(!empty($spacecohost))
        {
            foreach($spacecohost as $cohost)
            {
                $userinfo= $userModel->usershortInfo($cohost->user_id,$user_id);
                $userinfo['is_cohost'] = $cohost->is_cohost;
                $cohosts[] = $userinfo;
            }
          
            $space->cohosts = $cohosts;    

        }
        return $space;
    }
    public function getSpacedetails($space_id)
    {
        $broadcastingClosure = config('broadcasting.broadcasting');
        if (is_callable($broadcastingClosure)) {
           $broadcastingClosure();  
        }
        $space = $this->find($space_id);
        $userModel  = New User;
        $user = $userModel->usershortInfo($space->user_id);
        $space['start_time'] = formatUserSpecificTime($space->start_time);
        $space['formatted_date'] = formatDateTime($space->start_time);
        $user['is_host'] = 1;
        $user['is_cohost'] = 0;
        $space['host'] = $user;
        $space['is_mine'] = 1;
        
        return $space;
    }

    public function user(){
        return $this->belongsTo(User::class, 'user_id');
    }
    public function category(){
        return $this->belongsTo(Category::class, 'category_id');
    }
    public function subcategory(){
        return $this->belongsTo(SubCategory::class, 'sub_category_id');
    }
}
