<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Support\Facades\Auth;

class Story extends Model
{
    use HasFactory,SoftDeletes;
    public function getStories($userId) {
        $twentyFourHoursAgo = now()->subDay();
    
        $stories = $this->where('user_id', $userId)
                        ->where('created_at', '>=', $twentyFourHoursAgo)
                        ->orderBy('id', 'desc')
                        ->get();
        if(!empty($stories) && count($stories)>0)
        {
            return $this->storiesList($stories);
        }
        else
        {
            return null;
        }
        
        
    }
    public function getStoryDetails($story)
    {
        
        if(is_int($story))
        {
            $story = $this->find($story);
        }        
        if(empty($story))
        {
            return null;
        }
        if($story->type==2)
        {
            $story['media'] = getMedia($story->media);
        }
        if($story->type==3)
        {
            $story['media'] = getMedia($story->media);
            $story['thumbnail'] = getMedia($story->thumbnail);
        }
        $story['created_time'] = formatUserSpecificTime($story->created_at);
        $story['is_mine'] = ($story->user_id==Auth::id())?1:0;
        
        
        return $story;
    }
    public function storiesList($stories)
    {
        foreach($stories as $story)
        {
            $story = $this->getStoryDetails($story);
        }
        return $stories;
    }
}
