<?php

namespace App\Models;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Transaction extends Model
{
    use HasFactory;
    protected $guarded = [];
    public function enoughAmount($required_amount,$userwallet)
    {
        if($required_amount<=$userwallet)
        {
            return true;
        }
        return false;
    }
    public function transactionData($space_amount,$space_admin,$joiner,$space_id = 0)
    {
        $space_admin_share = get_setting('space_admin_share');
        $admin_share = get_setting('admin_share');
        $website_admin_share = $space_amount*$admin_share/100;
        
        $spaceAdminShare = $space_amount*$space_admin_share/100;
        $creditTransaction = new Transaction();
        $creditTransaction->user_id = $space_admin;
        $creditTransaction->space_id = $space_id;
        $creditTransaction->flag = 'C';
        $creditTransaction->description = 1;
        $creditTransaction->amount = $spaceAdminShare;
        $creditTransaction->save();
        // Credit website Admin 
      
        $websiteAdminCredit = new Transaction();
        $websiteAdminCredit->user_id = 1;
        $websiteAdminCredit->flag = 'C';
        $websiteAdminCredit->space_id = $space_id;
        $websiteAdminCredit->description = 1;
        $websiteAdminCredit->amount = $website_admin_share;
        $websiteAdminCredit->save();
        
        // Debit Transaction 
        $debitTransaction = new Transaction();
        $debitTransaction->user_id = $joiner;
        $debitTransaction->space_id = $space_id;
        $debitTransaction->flag = 'D';
        $debitTransaction->description = 1;
        $debitTransaction->amount = $space_amount;
        $debitTransaction->save();
    }
    public function earningbreakdown($user_id)
    {
        $result = DB::table('transactions')
            ->selectRaw("
                SUM(CASE WHEN description = 1 AND flag='C' THEN amount ELSE 0 END) AS paid_space_earnings,
                SUM(CASE WHEN description = 4 AND flag='C' THEN amount ELSE 0 END) AS gift_earnings,
                SUM(CASE WHEN description = 5 AND flag='C' THEN amount ELSE 0 END) AS greatjob_earnings
            ")
            ->where('user_id', $user_id)
            ->first();
    
        $totalEarnings = $result->paid_space_earnings + $result->gift_earnings + $result->greatjob_earnings;
        
        return [
            'paid_space_earnings' => (string)($result->paid_space_earnings??0),
            'gift_earnings' => (string)($result->gift_earnings??0),
            'greatjob_earnings' => (string)($result->greatjob_earnings??0),
            'total_earnings' => (string)$totalEarnings,
        ];
    }
    public function reverseTransaction($space,$user_id)
    {
      
        $getOldTransaction = Transaction::where(['user_id'=>$space->user_id,'space_id'=>$space->id,'description'=>1,'type'=>'C'])->first();
        $getAdminTransaction = Transaction::where(['user_id'=>1,'space_id'=>$space->id,'description'=>1,'type'=>'C'])->first();

        if(!empty($getOldTransaction))
        {
            $debitTransaction = new Transaction();
            $debitTransaction->user_id = $getOldTransaction->user_id;
            $debitTransaction->space_id = $space->id;
            $debitTransaction->flag = 'D';
            $debitTransaction->description = 1;
            $debitTransaction->amount = $getOldTransaction->amount;
            $debitTransaction->save();
            $creditTransaction = new Transaction();
            $creditTransaction->user_id = $user_id;
            $creditTransaction->space_id = $space->id;
            $creditTransaction->flag = 'C';
            $creditTransaction->description = 1;
            $creditTransaction->amount = $getOldTransaction->amount;
            $creditTransaction->save();
        }

        if(!empty($getAdminTransaction))
        {
            $debitTransaction = new Transaction();
            $debitTransaction->user_id = 1;
            $debitTransaction->space_id = $space->id;
            $debitTransaction->flag = 'D';
            $debitTransaction->description = 1;
            $debitTransaction->amount = $getAdminTransaction->amount;
            $debitTransaction->save();
            $creditTransaction = new Transaction();
            $creditTransaction->user_id = $user_id;
            $creditTransaction->space_id = $space->id;
            $creditTransaction->flag = 'C';
            $creditTransaction->description = 1;
            $creditTransaction->amount = $getAdminTransaction->amount;
            $creditTransaction->save();
        }

    }
    

}
