<?php

namespace App\Models;

// use Illuminate\Contracts\Auth\MustVerifyEmail;
use App\Models\BlockUser;
use Laravel\Sanctum\HasApiTokens;
use Spatie\Permission\Traits\HasRoles;
use Illuminate\Notifications\Notifiable;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;

class User extends Authenticatable
{
    use HasApiTokens, HasFactory, Notifiable,SoftDeletes, HasRoles;

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $fillable = [
        'name',
        'email',
        'password',
    ];

    /**
     * The attributes that should be hidden for serialization.
     *
     * @var array<int, string>
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast.
     *
     * @var array<string, string>
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];
    public function usershortInfo($id,$loggedInUserId=0)
    {
        $user = $this->select(['id','first_name','last_name','email','follower_count','following_count','username','profile_image','about'])->where('id',$id)->first();
        if(!empty($user))
        {
            $followerModel = New Followers();
            $blockedModel = New BlockUser();
            $user['profile_image'] = getMedia($user->profile_image,'user_profile');
            $user['is_following'] = $followerModel->chechkfollow($loggedInUserId,$id);
            $user['is_blocked'] = $blockedModel->checkBlock($loggedInUserId,$id);
            
            return $user;
        }
        return null;
    }
    public function follows() {
        return $this->belongsToMany(User::class, 'followers', 'from_user_id', 'to_user_id');
    }
    public function deleteUser($id)
    {
        BlockUser::where('from_user_id',$id)->orWhere('to_user_id',$id)->delete();
        Comment::where('user_id',$id)->orWhere('post_user_id',$id)->delete();
        Followers::where('from_user_id',$id)->orWhere('to_user_id',$id)->delete();
        $posts = Post::where('user_id',$id)->get();
        if(count($posts)>0)
        {
            foreach($posts as $post)
            {
                PostReaction::where('post_id',$post->id)->delete();
                Comment::where('post_id',$post->id)->delete();
            }
        }
        Post::where('user_id',$id)->delete();
        Post::where('user_id',$id)->delete();
        ReportPost::where('user_id',$id)->delete();
        WithdrawRequest::where('user_id',$id)->delete();
        UserInterest::where('user_id',$id)->delete();
        Space::where('user_id',$id)->delete();
        SpaceCheckIn::where('user_id',$id)->delete();
        SpaceMember::where('user_id',$id)->delete();
        ReportSpace::where('user_id',$id)->delete();
        Notification::where('from_user_id',$id)->orWhere('to_user_id',$id)->delete();
        InterestedSpeaker::where('user_id',$id)->orWhere('speaker_id',$id)->delete();
        Deposit::where('user_id',$id)->delete();
        $user = User::find($id);
        if($user)
        $user->deleted_at = Now();
        $user->email = $user->email.'_'.rand(1000,9999);
        $user->update();
        return 1;        
    }
}
    

