<?php
namespace App\Services;

use Flutterwave\Rave;
use Flutterwave\EventHandlers\EventHandlerInterface;
use GuzzleHttp\Client;

class FlutterwaveService
{
    protected $rave;

    public function getTransactionDetails($transactionId)
    {
        $client = new Client();
        $response = $client->request('GET', 'https://api.flutterwave.com/v3/transactions/' . $transactionId . '/verify', [
            'headers' => [
                'Authorization' => 'Bearer YOUR_SECRET_KEY',
            ],
        ]);

        $responseBody = json_decode($response->getBody(), true);

        if ($responseBody['status'] == 'success') {
            return response()->json([
                'status' => 'success',
                'data' => $responseBody['data']
            ]);
        } else {
            return response()->json([
                'status' => 'error',
                'message' => $responseBody['message']
            ]);
        }
    }
}
