<?php 
namespace App\Services;

use Srmklive\PayPal\Services\PayPal as PayPalClient;
use PayPal\Auth\OAuthTokenCredential;
use PayPal\Rest\ApiContext;
use PayPal\Api\Payment;
class PayPalService
{
    protected $apiContext;

    public function __construct()
    {
        $this->apiContext = new ApiContext(
            new OAuthTokenCredential(
                config('paypal.sandbox.client_id'),
                config('paypal.sandbox.client_secret')
            )
        );

        $this->apiContext->setConfig([
            'mode' => config('paypal.mode'),
        ]);
    }

    public function getTransactionDetails($transactionId)
    {
        try {
            $payment = Payment::get($transactionId, $this->apiContext);
            return $payment;
        } catch (\Exception $ex) {
            return ['error' => $ex->getMessage()];
        }
    }
}
