<?php

namespace App\Services;

use GuzzleHttp\Client;

class PaystackService
{
    protected $client;
    protected $secretKey;

    public function __construct()
    {
        $this->client = new Client();
        $this->secretKey = env('PAYSTACK_SECRET_KEY');
    }

    public function getTransactionDetails($transactionId)
    {
        $url = "https://api.paystack.co/transaction/verify/{$transactionId}";

        try {
            $response = $this->client->request('GET', $url, [
                'headers' => [
                    'Authorization' => "Bearer ".env('PAYSTACK_SECRET_KEY'),
                    'Accept' => 'application/json',
                ],
            ]);

            $data = json_decode($response->getBody(), true);

            if ($data['status']) {
                return $data['data'];
            } else {
                throw new \Exception('Transaction not found.');
            }
        } catch (\Exception $e) {
            throw new \Exception('Error retrieving transaction details: ' . $e->getMessage());
        }
    }
}
