<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('spaces', function (Blueprint $table) {
            $table->id();
            $table->integer('user_id');
            $table->integer('category_id');
            $table->string('name', 100);
            $table->text('description' );
            $table->tinyInteger('is_paid')->default(0);
            $table->integer('amount');
            $table->tinyInteger('privacy')->default(1)->comment('1=>public 2=>social(follower) 3=>private');
            $table->string('agora_token_id')->nullable();
            $table->dateTime('start_time', precision: 0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('spaces');
    }
};
