<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('space_members', function (Blueprint $table) {
            $table->id();
            $table->integer('space_id');
            $table->integer('user_id');
            $table->integer('is_host')->default(0);
            $table->integer('is_cohost')->default(0);
            $table->integer('is_speaking_allowed')->default(0);
            $table->integer('join_status')->comment('1=>joined ,2=>Pending');
            $table->timestamps();
            $table->softDeletes();
            
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('space_members');
    }
};
