@extends('admin-layouts.layouts')
@section('extralibrary')
<link href="{{asset('assets/vendors/datatables/dataTables.bootstrap.min.css')}}" rel="stylesheet">
@endsection
@section('content')
<h2 class="header-title">All Faqs </h2>
<div class="header-sub-title">

</div>
</div>
<div class="card p-3">
    <div class="row">
        <div class="col-md-12 table-responsive">
            <div class="d-flex justify-content-end">
                <button type="button" class="btn btn-success m-3 btn-xs" data-toggle="modal" data-target="#createModel">
                    <i class="fas fa-plus-circle"></i> Add Faq
                </button>
            </div>
            <table id="myTable" class="table table-hover ">
                <thead>
                    <tr>
                        <th> Name </th>
                        <th>Question</th>
                        <th>Answer </th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($faqs as $faq)
                        <tr>
                            <td>{{$loop->iteration}}</td>
                            <td>{{$faq->question}}</td>
                            <td>{{$faq->answer}}</td>

                            <td>
                                <form action="{{route('admin.faqs.delete',$faq)}}" method="post">
                                    <a href="javascript:void()" class="text-primary  btn-xs get_faq_data" data-toggle="modal" data-target="#editModel" data-faq_question="{{$faq->question}}" data-faq_answer="{{$faq->answer}}" data-faq_id="{{$faq->id}}">
                                        <i class="fas fa-pencil-alt"></i>
                                    </a>
                                    <button style="border: none" type="submit" onclick="return confirm('Are You Sure ?')"><i class="fa fa-trash text-danger"></i></button>
                                    @csrf
                                </form>
                            </td>

                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>
{{-- Create model  --}}
<div class="modal fade" id="createModel">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalCenterTitle">Add FAQ</h5>
                <button type="button" class="close" data-dismiss="modal">
                    <i class="anticon anticon-close"></i>
                </button>
            </div>
            <form action="{{ route('admin.faqs.store') }}" method="post" id="create_faq">
                @csrf
                <div class="modal-body">
                    <div class="form-group">
                        <label for="">Question </label>
                        <input type="text" class="form-control" name="question" placeholder="Question ">
                    </div>
                    <div class="form-group">
                        <label for="">Answer </label>
                        <textarea class="form-control" name="answer" rows="4" placeholder="Answer"></textarea>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-primary">Add FAQ</button>
                    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                </div>
            </form>
        </div>
    </div>
</div>
<div class="modal fade" id="editModel">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalCenterTitle">Edit FAQ</h5>
                <button type="button" class="close" data-dismiss="modal">
                    <i class="anticon anticon-close"></i>
                </button>
            </div>
            <form action="{{route('admin.faqs.update')}}" method="post" id="edit_faq">
                @csrf
                @method('PUT')
                <div class="modal-body">
                    <div class="modal-body">
                        <div class="form-group">
                            <label for="">Question </label>
                            <input type="text" class="form-control" name="question" placeholder="Question " id="edit_faq_question">
                            <input type="hidden" class="form-control" name="faq_id" id="edit_faq_id">
                        </div>
                        <div class="form-group">
                            <label for="">Answer </label>
                            <textarea class="form-control" name="answer" rows="4" placeholder="Answer" id="edit_faq_answer"></textarea>
                        </div>
                    </div>
                
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-primary">Update</button>
                    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                </div>
            </form>
        </div>
    </div>
</div>
@endsection
@section('jslibrary')

<script src="{{asset('assets/vendors/datatables/jquery.dataTables.min.js')}}"></script>
<script src="{{asset('assets/vendors/datatables/dataTables.bootstrap.min.js')}}"></script>
<script src="{{ asset('assets/vendors/jquery-validation/jquery.validate.min.js')}}"></script>
<script>
    $(document).ready(function(){
        $('#myTable').DataTable();
        $("#create_faq" ).validate({
            ignore: ':hidden:not(:checkbox)',
            errorElement: 'label',
            errorClass: 'is-invalid',
            validClass: 'is-valid',
            rules: {
                question: {
                    required: true
                },
                answer: {
                    required: true
                }
            }
        });
        $("#edit_faq" ).validate({
            ignore: ':hidden:not(:checkbox)',
            errorElement: 'label',
            errorClass: 'is-invalid',
            validClass: 'is-valid',
            rules: {
                question: {
                    required: true
                },
                answer: {
                    required: true
                }
            }
        });
        $('.get_faq_data').click(function(){
          var that  = $(this);
          console.log(that.data('faq_id'));
          $('#edit_faq_id').val(that.data('faq_id'));
          $('#edit_faq_question').val(that.data('faq_question'));
          $('#edit_faq_answer').val(that.data('faq_answer'));

        });
    });
</script>
@endsection
