@extends('admin-layouts.layouts')
@section('extralibrary')
<link href="{{asset('assets/vendors/datatables/dataTables.bootstrap.min.css')}}" rel="stylesheet">
@endsection
@section('content')
<h2 class="header-title">All Gateways</h2>
<div class="header-sub-title">

</div>
</div>
<div class="card p-3">
    <div class="row">
        <div class="col-md-12 table-responsive">
            <button class="btn btn-success btn-xs mb-2" data-toggle="modal" data-target=".bd-example-modal-lg"> <i class="anticon anticon-plus-circle"></i> Add Gateway</button>
            <table id="myTable" class="table table  table-hover">
                <thead>
                    <tr>
                        <th>Sr # </th>
                        <th>Name  </th>
                        <th>Logo</th>
                        <th>Status</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                    @if (!empty($gateways))
                        @foreach ($gateways as $gateway)
                            <tr>
                                <td>{{$loop->iteration}}</td>
                                <td>{{$gateway->name}}</td>
                                <td><img src="{{getMedia($gateway->logo)}}" alt="" width="50px" height="50px"></td>

                                <td>
                                    @if ($gateway->status=='Active')
                                        <span class="badge bg-success text-light"> <i class="fas fa-check"></i> Active</span>
                                    @else
                                    <span class="badge bg-danger text-light">  <i class="fas fa-times"></i> Inactive</span>

                                    @endif
                                </td>
                                <td>
                                    <form action="{{route('admin.gateways.delete',$gateway->id)}}" method="post" >
                                        <a href="{{route('admin.gateways.edit',$gateway->id)}}" class="text-primary m-3 btn-xs "  >
                                            <i class="fas fa-pencil-alt"></i>
                                        </a>
                                        @csrf
                                            @if ($gateway->id>5)
                                                <button class="btn btn-danger m-3 btn-xs " type="submit" onclick="return confirm('Are you sure to delete ?')" >
                                                    <i class="fas fa-trash"></i>
                                                </button>
                                            @endif
                                        </form>

                             </td>
                            </tr>
                        @endforeach
                    @endif
                </tbody>
            </table>
        </div>
    </div>
</div>
<div class="modal fade bd-example-modal-lg" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLongTitle">Gateway Form</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form action="{{ route('admin.gateways.store') }}" method="post" id="create_gateway" enctype="multipart/form-data" >
                    @csrf
                    <div class="row">
                        <!-- Form fields here, structured with col-md-6 as per previous example -->
                        <div class="col-md-12 form-group">
                            <label for="name">Name</label>
                            <input type="text" class="form-control" id="name" name="name" required placeholder=" Enter name">
                        </div>
                                               <!-- Currency Field -->
                     
                    </div>
                    <div class="row">
                    

                
                        <div class="col-md-12 form-group">
                            <label for="status">Logo</label>
                            <input type="file" class="form-control" name="logo">
                        </div>
                    
                    </div>
                    <div class="row">

                        <div class="col-md-12 form-group">
                            <label for="type">Status</label>
                            <select class="form-control" id="type" name="status">
                               <option value="Active">Active</option>
                               <option value="Inactive"> In Active</option>
                            </select>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <label for="">Description</label>
                            <textarea name="description" class="form-control" rows="3" placeholder="Description"></textarea>
                        </div>
                    </div>
                    <button type="submit" class="btn btn-primary mt-3">Submit</button>
                </form>
            </div>
        </div>
    </div>
</div>
@endsection
@section('jslibrary')

<script src="{{asset('assets/vendors/datatables/jquery.dataTables.min.js')}}"></script>
<script src="{{asset('assets/vendors/datatables/dataTables.bootstrap.min.js')}}"></script>
<script src="{{asset('assets/js/pages/form-validation.js')}}"></script>
<script type="text/javascript">
    $(function () {
        var table = $('#myTable').DataTable();

    });

    $( "#create_gateway" ).validate({
        ignore: ':hidden:not(:checkbox)',
        errorElement: 'label',
        errorClass: 'is-invalid',
        validClass: 'is-valid',
        rules: {
            name: {
                required: true
            },
           

        }
});
  </script>
@endsection
