@extends('admin-layouts.layouts')
@section('extralibrary')
<link href="{{asset('assets/vendors/datatables/dataTables.bootstrap.min.css')}}" rel="stylesheet">
@endsection
@section('content')
<h2 class="header-title">{{$page_title}}</h2>
<div class="header-sub-title">

</div>
</div>
<div class="card p-3">
    <div class="row">
        <div class="col-md-12">
            <div class="d-flex justify-content-end">
                <button type="button" class="btn btn-success m-3 btn-xs" data-toggle="modal" data-target="#createModel">
                    <i class="fas fa-plus-circle"></i> Add Gift
                </button>
            </div>
            <div class="table-responsive">
                <table id="myTable" class="table table-hover">
                    <thead>
                        <tr>
                            <th> Sr # </th>
                            <th>Gift Name</th>
                            <th>Gift Image</th>
                            <th>Gift Price</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($gifts as $gift)
                            <tr>
                                <td>{{$loop->iteration}}</td>
                                <td>{{$gift->name}}</td>
                                <td><img src="{{ getMedia($gift->image) }}" width="50px" height="50px"></td>
                                <td>{{$gift->price}}</td>
                                <td>
                                    <form action="{{route('admin.gifts.delete',$gift)}}" method="post">
                                        <a href="{{ route('admin.gifts.edit',$gift->id) }}" class="text-primary  btn-xs " >
                                            <i class="fas fa-pencil-alt"></i>
                                        </a>
                                        <button style="border: none" type="submit" onclick="return confirm('Are You Sure ?')"><i class="fa fa-trash text-danger"></i></button>
                                        @csrf
                                    </form>
                                </td>
    
                            </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
{{-- Create model  --}}<!-- Modal for Adding a Technology (Gift) -->
<div class="modal fade" id="createModel">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalCenterTitle">Add Gift</h5>
                <button type="button" class="close" data-dismiss="modal">
                    <i class="anticon anticon-close"></i>
                </button>
            </div>
            <form action="{{ route('admin.gifts.store') }}" method="post" id="create_gift" enctype="multipart/form-data">
                @csrf
                <div class="modal-body">
                    <div class="form-group">
                        <label for="">Gift Name</label>
                        <input type="text" name="name" class="form-control" required>
                    </div>
                    <div class="form-group">
                        <label for="">Gift Price</label>
                        <input type="number" class="form-control" name="price" required>
                    </div>                
                    <div class="form-group">
                        <label for="">Gift Image</label>
                        <input type="file" class="form-control" name="image" required>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-primary">Add Gift</button>
                    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                </div>
            </form>
        </div>
    </div>
</div>
@endsection

@section('jslibrary')
<!-- Include JS Files for DataTable and Validation -->
<script src="{{asset('assets/vendors/datatables/jquery.dataTables.min.js')}}"></script>
<script src="{{asset('assets/vendors/datatables/dataTables.bootstrap.min.js')}}"></script>
<script src="{{ asset('assets/vendors/jquery-validation/jquery.validate.min.js')}}"></script>
<script src="https://cdn.jsdelivr.net/jquery.validation/1.19.2/additional-methods.min.js"></script>

<script>
 $(document).ready(function() {
    $('#create_gift').submit(function(e) {
        var file = $('input[type="file"]').val();
        var exts = ['jpg', 'jpeg', 'png', 'gif'];
        // Check extension
        if (file) {
            var get_ext = file.split('.');
            get_ext = get_ext.reverse();
            if ($.inArray(get_ext[0].toLowerCase(), exts) > -1) {
                return true; // valid file extension
            } else {
                e.preventDefault(); // prevent form submission
                alert('Invalid file type! Only JPG, JPEG, PNG, and GIF files are allowed.');
                return false;
            }
        }
    });

    $("#create_gift").validate({
        ignore: ':hidden:not(:checkbox)',
        errorElement: 'label',
        errorClass: 'is-invalid',
        validClass: 'is-valid',
        rules: {
            name: {
                required: true
            },
            price: {
                required: true,
                number: true
            },
            image: {
                required: true // We check the extension manually
            }
        },
        messages: {
            image: {
                required: "Please upload an image"
            }
        }
    });
});

</script>
@endsection
