@extends('admin-layouts.layouts')
@section('extralibrary')
<link href="{{asset('assets/vendors/datatables/dataTables.bootstrap.min.css')}}" rel="stylesheet">
@endsection
@section('content')
<h2 class="header-title">All Permissions</h2>
<div class="header-sub-title">

</div>
</div>
<div class="card p-3">
    <div class="row">
        <div class="col-md-12">
            <button type="button" class="btn btn-success btn-xs mb-3" data-toggle="modal" data-target="#exampleModalCenter"> <i class="fas fa-plus-circle"></i> Add Permission</button>
            <table id="myTable" class="table table-hover">
                <thead>
                    <tr>
                        <th>Sr # </th>
                        <th>Permission Name</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($permissions as $permission)
                        <tr>
                            <td>{{$loop->iteration}}</td>

                            <td>{{$permission->name}}</td>
                            <td>
                                {{-- <form action="{{route('admin.permissions.delete',$permission)}}" method="post">
                                    @csrf --}}
                                    <a href="{{route('admin.permissions.edit',$permission)}}" ><i class="fa fa-edit text-info"></i></a>
                                    {{-- <button class="border-0"> <i class="fa fa-trash text-danger"></i> </button>
                                </form> --}}
                            </td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>

<div class="modal fade" id="exampleModalCenter">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalCenterTitle">Create New Permission</h5>
                <button type="button" class="close" data-dismiss="modal">
                    <i class="anticon anticon-close"></i>
                </button>
            </div>
            <form action="{{route('admin.permissions.store')}}" method="post" id="create-permission">
                @csrf
                <div class="modal-body">
                    <div class="form-group">
                        <label for="">Name</label>
                        <input type="text" class="form-control" name="name" placeholder="Enter Permission Name" required autofocus>
                    </div>
                </div>
                <div class="modal-footer ">
                    <button type="button" class="btn btn-default btn-xs  " data-dismiss="modal">Close</button>
                    <button type="submit"  class="btn btn-primary btn-xs"><i class="fas fa-plus-circle"></i> Add Permission</button>
                </div>
            </form>
        </div>
    </div>
</div>
@endsection
@section('jslibrary')
<script src="{{asset('assets/vendors/jquery-validation/jquery.validate.min.js')}}"></script>
<script src="{{asset('assets/vendors/datatables/jquery.dataTables.min.js')}}"></script>
<script src="{{asset('assets/vendors/datatables/dataTables.bootstrap.min.js')}}"></script>
<script>
    $('#myTable').DataTable();
    $("#create-permission").validate({
    ignore: ':hidden:not(:checkbox)',
    errorElement: 'label',
    errorClass: 'is-invalid',
    validClass: 'is-valid',
    rules: {
        name: {
            required: true
        }
    }
});
</script>
@endsection
