@extends('admin-layouts.layouts')
@section('extralibrary')
<link href="{{asset('assets/vendors/datatables/dataTables.bootstrap.min.css')}}" rel="stylesheet">
@endsection
@section('content')
<h2 class="header-title"></h2>
<div class="header-sub-title">

</div>
</div>
<div class="card p-3">
    <div class="row">
        <div class="col-md-12">

            <ul class="nav nav-pills mb-3" id="pills-tab" role="tablist">
                <li class="nav-item">
                    <a class="nav-link active" id="pills-spacedetails-tab" data-toggle="pill" href="#space-details" role="tab" aria-controls="pills-spacedetails" aria-selected="true">Space Information</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" id="members-tab" data-toggle="pill" href="#members" role="tab" aria-controls="members" aria-selected="false">Members ({{count($space_members)}})</a>
                </li>
                
            </ul>
            <div class="tab-content" id="pills-tabContent">
                <div class="tab-pane fade show active" id="space-details" role="tabpanel" aria-labelledby="pills-spacedetails-tab">
                    <div class="row">
                       <div class="col-md-6">
                            <table class="table table-bordered">
                                <tr>
                                    <th><h3>Space Title</h3> </th>
                                    <td ><h3>{{$space->title}}</h3></td>
                                </tr>
                                <tr>
                                    <th>User Name </th>
                                    <td>{{!empty($space->user)?$space->user->username:'Unknown'}}</td>
                                </tr>
                                <tr>
                                    <th>Paid Or Free </th>
                                    <td >{!!($space->is_paid==1)?"<span class='badge rounded-pill badge-primary'>Paid</span>":"<span class='badge bg-success rounded-pill'>Free</span>"!!}</td>
                                </tr>
                                @if ($space->is_paid==1)
                                    <tr>
                                        <th>Amount</th>
                                        <td > {{$space->amount}}</td>
                                    </tr>
                                @endif
                                <tr>
                                    <th>Privacy </th>
                                    <td>
                                        @php
                                            $colorArray = [
                                                1=>'primary',
                                                2=>'info',
                                                3=>'secondary',
                                            ];
                                            $privacyArray = [
                                                1=>'Public',
                                                2=>'Social',
                                                3=>'Private',
                                            ];
                                        @endphp
                                        <span  class="badge bg-{{$colorArray[$space->privacy]}} rounded-pill">
                                            {{$privacyArray[$space->privacy]}}
                                        </span>
                                       
                                    </td>
                                </tr>
                                <tr>
                                    <th>Start Time </th>
                                    <td>{{$space->start_time}}</td>
                                </tr>
                                <tr>
                                    <th>Category </th>
                                    <td>{{!empty($space->category)?$space->category->name:'Unknown'}}</td>

                                </tr>
                            </table>
                       </div>
                       <div class="col-md-6">
                            <table class="table table-bordered">
                                <tr>
                                    <th>Subtitles </th>
                                    <td>{{$space->subtitles}}</td>
                                </tr>

                                <tr>
                                    <th>Description  </th>
                                    <td >{{$space->description}}</td>
                                </tr>
                            </table>
                        </div>

                    </div>
                </div>
                <div class="tab-pane fade" id="members" role="tabpanel" aria-labelledby="members">
                    @if (count($space_members)>0)
                        <div class="row">
                            <div class="col-md-12 table-responsive">
                                <table class="table table-hover ">
                                    <thead>
                                        <tr>
                                            <th>Sr #</th>
                                            <th>Name</th>
                                            <th>Profile Image</th>
                                            <th>Follower Count</th>
                                            <th>Following Count</th>
                                            <th>Status</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach ($space_members as $spacemember)
                                            <tr>
                                                <td>{{$loop->iteration}}</td>
                                                <td>{{$spacemember->username}}</td>
                                                <td>
                                                    <img src="{{$spacemember->profile_image}}" alt="" width="50px" height="50px" class="avatar avatar-image  m-h-10 m-r-15">
                                                </td>
                                                <td>{{$spacemember->follower_count}}</td>
                                                <td>{{$spacemember->following_count}}</td>
                                                <td>
                                                    @if ($spacemember->is_host==1 && $spacemember->is_cohost==0)
                                                        <span class="badge bg-success">Host</span>
                                                    @elseif ($spacemember->is_host==0 && $spacemember->is_cohost==1)
                                                        <span class="badge bg-warning">Co Host</span>
                                                    @else
                                                        <span class="badge bg-info">Listner</span>
                                                        
                                                    @endif
                                                </td>
                                            </tr>
                                        @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    @else   
                        <div class="alert alert-danger text-center">
                            No Space <b>members</b> found
                        </div>
                    @endif
                </div>
           
            </div>
        </div>
    </div>
</div>

@endsection
@section('jslibrary')


@endsection
