@extends('admin-layouts.layouts')
@section('extralibrary')
<link href="{{asset('assets/vendors/datatables/dataTables.bootstrap.min.css')}}" rel="stylesheet">
@endsection
@section('content')
<h2 class="header-title">All Roles</h2>
<div class="header-sub-title">

</div>
</div>
<div class="card p-3">
    <div class="row">
        <div class="col-md-12">
            <button type="button" class="btn btn-success btn-xs mb-3" data-toggle="modal" data-target="#exampleModalCenter"> <i class="fas fa-plus-circle"></i> Create Role</button>
            <table id="myTable" class="table table-hover">
                <thead>
                    <tr>
                        <th>Sr # </th>
                        <th>Role Name</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($roles as $role)
                        <tr>
                            <td>{{$loop->iteration}}</td>

                            <td>{{$role->name}}</td>
                            <td>
                                <form action="{{route('admin.roles.delete',$role)}}" method="post">
                                    @csrf
                                    {{-- <a href="{{route('admin.roles.assignpermission',$role)}}" title="Assign Permission"><i class="fas fa-unlock-alt text-warning m-2"></i></a> --}}
                                    <a href="{{route('admin.roles.edit',$role)}}" title="Assign Permission"><i class="fa fa-edit text-info m-2"></i></a>
                                    <button class="border-0 bg-0 m-2" title="Delete" onclick="return confirm('Are You Sure ? ')"> <i class="fa fa-trash text-danger " ></i> </button>
                                </form>
                            </td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>

<div class="modal fade" id="exampleModalCenter">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalCenterTitle">Create New Role</h5>
                <button type="button" class="close" data-dismiss="modal">
                    <i class="anticon anticon-close"></i>
                </button>
            </div>
            <form action="{{route('admin.roles.store')}}" method="post" id="create-role">
                @csrf
                <div class="modal-body">
                    <div class="form-group">
                        <label for="">Name</label>
                        <input type="text" class="form-control" name="name" placeholder="Enter Role Name" required>
                    </div>
                </div>
                <div class="modal-footer ">
                    <button type="button" class="btn btn-default btn-xs  
                     
                    " data-dismiss="modal">Close</button>
                    <button type="submit"  class="btn btn-primary btn-xs"><i class="fas fa-plus-circle"></i> Add Role</button>
                </div>
            </form>
        </div>
    </div>
</div>
@endsection
@section('jslibrary')
<script src="{{asset('assets/vendors/jquery-validation/jquery.validate.min.js')}}"></script>
<script src="{{asset('assets/vendors/datatables/jquery.dataTables.min.js')}}"></script>
<script src="{{asset('assets/vendors/datatables/dataTables.bootstrap.min.js')}}"></script>
<script>
    $('#myTable').DataTable();
    $( "#create-role" ).validate({
    ignore: ':hidden:not(:checkbox)',
    errorElement: 'label',
    errorClass: 'is-invalid',
    validClass: 'is-valid',
    rules: {
        name: {
            required: true
        }
    }
});
</script>
@endsection
