@extends('admin-layouts.layouts')
@section('extralibrary')
<link href="{{asset('assets/vendors/datatables/dataTables.bootstrap.min.css')}}" rel="stylesheet">
@endsection
@section('content')
<h2 class="header-title">General Settings </h2>
<div class="header-sub-title">
    <meta name="csrf-token" content="{{ csrf_token() }}">

</div>
</div>

<div class="row">
    <div class="col-md-6">
        <div class="card p-3">
            <h3 class="header-title mb-3">General  </h3>
            <div class="form-group">
                <label for="">Website Name </label>
                <input type="text" class="form-control settings_text" name="website_name" id="website_name" placeholder="Website Name " value="{{get_setting('website_name')}}">
            </div>
            <div class="form-group">
                <label for="">Website Title </label>
                <input type="text" class="form-control settings_text" name="website_title" id="website_title" placeholder="Website Name " value="{{get_setting('website_title')}}">
            </div>
            <div class="form-group">
                <label for="">Website Description </label>
                <textarea  rows="3" class="form-control settings_text" name="website_description" id="website_description">{{get_setting('website_description')}}</textarea>
            </div>
            <div class="form-group">
                <label for="">Website Analytics </label>
                <textarea  rows="4" class="form-control settings_text" name="website_analytics" id="website_analytics">{{get_setting('website_analytics')}}</textarea>
            </div>
            <div class="form-group">
                <label for="">OG Title </label>
                <input type="text" class="form-control settings_text" name="og_title" id="og_title" value="{{get_setting('og_title')}}" placeholder="OG Title">
            </div>
            <div class="form-group">
                <label for="">OG Description</label>
                <textarea  rows="4" class="form-control settings_text" name="og_description" id="og_description" placeholder="OG Descriptioin" >{{get_setting('og_description')}}</textarea>
            </div>
            <div class="form-group">
                <label for="">Maximum File Upload Size</label>
                <input type="number"  class="form-control settings_text" name="max_file_upload_size" id="max_file_upload_size" placeholder="Maximum File Upload size" value="{{get_setting('max_file_upload_size')}}" min="0">
            </div>
            <div class="form-group">
                <label for="">Minimum Withdraw Limit </label>
                <input type="number"  class="form-control settings_text" name="minimum_withdraw_limit" id="minimum_withdraw_limit" placeholder="Minimum Withdraw Limit" value="{{get_setting('minimum_withdraw_limit')}}" min="0">
            </div>

        </div>
    </div>
    <div class="col-md-6">
        <div class="card">
            <h3 class="header-title m-3">Logo & Favicon  </h3>
            <div class="card-body">
                <form method="post" enctype="multipart/form-data" id="updatelogo">
                    @csrf
                    <div class="row">
                        <div class="col-md-8">
                            <label for="">Website Logo</label>
                            <input type="file" name="website_logo" class="form-control" id="website_logo">
                        </div>
                        <div class="col-md-3" style="margin-top: 40px">
                            <b>Website Logo</b>
                        </div>
                        <div class="col-md-1" style="margin-top: 40px">
                          
                            <img src="{{getMedia(get_setting('website_logo'))}}" alt="sdf" width="100%" id="website_logo_img">
                        </div>
                    </div>
                    <div class="row mt-2">
                        <div class="col-md-8 ">
                            <label for="">Favicon</label>
                            <input type="file" name="favicon" class="form-control" id="favicon">
                        </div>
                        <div class="col-md-3 " style="margin-top: 40px">
                            <b >Favicon</b>
                        </div>
                        <div class="col-md-1" style="margin-top: 40px">
                            <img src="{{getMedia(get_setting('favicon'))}}" alt="sdf" width="100%" id="favicon_img">
                        </div>
                    </div>
                    <div class="row mt-2">
                        <div class="col-md-8 ">
                            <label for="">Dashboard Logo <small>Recommanded Size(130 X 65)</small> </label>
                            <input type="file" name="dashboard_icon" class="form-control" id="dashboard_icon">
                        </div>
                        <div class="col-md-3 " style="margin-top: 40px">
                            <b >Dashboard Logo</b>
                        </div>
                        <div class="col-md-1" style="margin-top: 40px">
                            <img src="{{getMedia(get_setting('dashboard_icon'))}}" alt="sdf" width="100%" id="dashbaord_img">
                        </div>
                    </div>
                    <div class="row mt-2">
                        <div class="col-md-12">
                            <button type="submit" class="btn btn-primary btn-sm"> Upload</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <div class="card">
            <h3 class="header-title m-3"> Space Join Share </h3>
            <div class="card-body">
                    @csrf
                    <div class="row">
                        <div class="col-md-12">
                            <label for="">Platform Admin Share </label>
                            <input type="number" name="admin_share" id="admin_share" class="form-control"value="{{get_setting('admin_share')}}">
                        </div>
                       
                    </div>
                    <div class="row mt-2">
                        <div class="col-md-12 ">
                            <label for="">Space Admin Share</label>
                            <input type="number" name="space_admin_share" id="space_admin_share" class="form-control" value="{{get_setting('space_admin_share')}}">
                        </div>
                       
                    </div>
                    
                  
            </div>
        </div>
        <div class="card">
            <h3 class="header-title m-3"> Great Job Share </h3>
            <div class="card-body">
                    @csrf
                    <div class="row">
                        <div class="col-md-12">
                            <label for="">Great Job  Admin Share </label>
                            <input type="number"  class="form-control settings_text" name="great_job_price" id="great_job_price" placeholder="Great Job Price" value="{{get_setting('great_job_price')}}" min="0">

                        </div>
                       
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <label for="">Great Job  Admin Share </label>
                            <input type="number" name="gjp_admin_share" id="gjp_admin_share" class="form-control"value="{{get_setting('gjp_admin_share')}}">
                        </div>
                       
                    </div>
                    <div class="row mt-2">
                        <div class="col-md-12 ">
                            <label for="">Great Job Space Admin Share</label>
                            <input type="number" name="gj_admin_share" id="gj_admin_share" class="form-control" value="{{get_setting('gj_admin_share')}}">
                        </div>
                       
                    </div>
                    
                  
            </div>
        </div>
    </div>
</div>


@endsection
@section('jslibrary')
<script>
    is_demo = $('#is_demo').val();
    $(document).ready(function() {
    $('#updatelogo').submit(function(e) {
        e.preventDefault(); 
        if(is_demo==1)
        {
            alert('Can not update in demo version');
            return;
        }
        var webiste_logo = $('#website_logo').get(0);
        var website_logoFile = webiste_logo.files;
        var favicon = $('#favicon').get(0);
        var favicon_File = favicon.files;
        var dashboard_icon = $('#dashboard_icon').get(0);
        var dashboard_File = dashboard_icon.files;
        if (website_logoFile.length === 0 && favicon_File.length===0 && dashboard_File.length===0) {
            alert('No file selected!');
            return ;
        }
        var formData = new FormData($(this)[0]); // Get form data
        $.ajax({
            url: "{{route('admin.upladLogo')}}", // Ensure the URL is enclosed in quotes and correctly pointing to your backend script
            type: 'POST',
            data: formData,
            async: false,
            cache: false,
            contentType: false,
            processData: false,
            success: function(response) {
              console.log(response);
                $('#faviconinput').val('');
                $('#site_logo').val('');
                (response.data.wesite_logo.length!=0)?$('#website_logo_img').attr('src', response.data.wesite_logo):'';
                $('#favicon_img').attr('src', response.data.favicon);
                $('#dashbaord_img').attr('src', response.data.dashboard_icon);
            }
           
        });
    }); 
});
$(document).ready(function () {
        // Initial values
        let admin_share = 0;
        let space_admin_share = 0;
        let gj_admin_share = 0;
        let gjp_admin_share = 0;
       
        // Update other field when admin_share changes
      
        // Update other field when post_owner_share changes
        $("#space_admin_share, #admin_share").on("change", function () {
            if(is_demo==1)
            {
                alert('Can not update in demo verison ');
                return;
            }
            let that = $(this);
            let value = parseInt(that.val());

            if (value > 100) {
                alert("Value cannot be more than 100");
                admin_share = 20;
                space_admin_share = 80
                $('#admin_share').val(admin_share);
                $('#space_admin_share').val(space_admin_share);
            }
            if (value < 0) {
                alert("Value cannot be more than 0");
                admin_share = 20;
                space_admin_share = 80
                $('#admin_share').val(admin_share);
                $('#space_admin_share').val(space_admin_share);
            }

            else if (that.attr('id') === 'space_admin_share') {
                that.val(value);
                let remaining_share =100-value;
                admin_share = remaining_share;
                space_admin_share  = value;
                $('#admin_share').val(remaining_share);     
                
            }
            else if (that.attr('id') === 'admin_share') {
                that.val(value);
                let remaining_share =100-value;
                admin_share = value;
                space_admin_share  = remaining_share;
                $('#space_admin_share').val(remaining_share);   
            }
            updateAdminShare(admin_share,space_admin_share,'space_admin_share','admin_share');
        });

        $("#gj_admin_share, #gjp_admin_share").on("change", function () {
            if(is_demo==1)
            {
                alert('Can not update in demo verison ');
                return;
            }
            let that = $(this);
            let value = parseInt(that.val());

            if (value > 100) {
                alert("Value cannot be more than 100");
                gjp_admin_share = 20;
                gj_admin_share = 80
                $('#gjp_admin_share').val(gjp_admin_share);
                $('#gj_admin_share').val(gj_admin_share);
            }
            if (value < 0) {
                alert("Value cannot be more than 0");
                gjp_admin_share = 20;
                gj_admin_share = 80
                $('#gjp_admin_share').val(gjp_admin_share);
                $('#gj_admin_share').val(gj_admin_share);
            }

            else if (that.attr('id') === 'gj_admin_share') {
                that.val(value);
                let remaining_share =100-value;
                gjp_admin_share = remaining_share;
                gj_admin_share  = value;
                $('#gjp_admin_share').val(remaining_share);     
                
            }
            else if (that.attr('id') === 'gjp_admin_share') {
                that.val(value);
                let remaining_share =100-value;
                admin_share = value;
                gjgjp_admin_share  = remaining_share;
                $('#gj_admin_share').val(remaining_share);   
            }
            updateAdminShare(gjp_admin_share,gj_admin_share,'gj_admin_share','gjp_admin_share');
        });




     
        function updateAdminShare(admin_share,space_admin_share ,space_admin,platform_admin)
        {
           
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            $.ajax({
                    type: "POST", // You can change this to 'GET' if needed
                    url: "{{route('admin.updateshare')}}", // Specify the URL where you want to send the data
                    data: {
                        space_admin:space_admin,
                        platform_admin:platform_admin,
                        admin_share: admin_share,
                        space_admin_share: space_admin_share,      
                    },
                    success: function(response) {
                  
                    }
                })
            
        }

    });
</script>

@endsection
