@extends('admin-layouts.layouts')
@section('extralibrary')
<link href="{{asset('assets/vendors/datatables/dataTables.bootstrap.min.css')}}" rel="stylesheet">
@endsection
@section('content')
<h2 class="header-title">{{ $page_title }}</h2>
<div class="header-sub-title">

</div>
</div>
<div class="card p-3">
    <div class="row">
        <div class="col-md-12 table-responsive">

            <table id="myTable" class="table table-hover">
                <thead>
                    <tr>
                        <th>Sr # </th>
                        <th>User Name  </th>
                        <th>Title</th>
                        <th>Members </th>
                        <th>Status</th>
                        <th>Start Time</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>

                </tbody>
            </table>
        </div>
    </div>
</div>

@endsection
@section('jslibrary')

<script src="{{asset('assets/vendors/datatables/jquery.dataTables.min.js')}}"></script>
<script src="{{asset('assets/vendors/datatables/dataTables.bootstrap.min.js')}}"></script>
<script src="{{asset('assets/js/pages/form-validation.js')}}"></script>
<script type="text/javascript">
    $(function () {

        var table = $('#myTable').DataTable({
            processing: true,
            serverSide: true,
            ajax: "{{ route('admin.spaces.list') }}",
            columns: [
                {data: 'DT_RowIndex', name: 'DT_RowIndex'},
                {data: 'username', name: 'username'},

                {data: 'title', name: 'title'},
                {data: 'members', name: 'members'},
                {data: 'status', name: 'status',
                render: function ( data, type, full, meta ) {
                if(data=='upcoming')
                    {
                        data = "<span class='badge badge-warning'><i class='fas fa-spinner fa-spin'></i> Upcoming</span>";
                    }

                    else if(data=='active')
                    {
                        data = "<span class='badge badge-info'> <i class='fas fa-play'></i> Active</span>";
                    }
                    else if(data=='completed')
                    {
                        data = "<span class='badge badge-success'><i class='fa fa-check'></i>  Completed</span>";
                    }
                    return data;
                }
            },
                {data: 'start_time', name: 'start_time'},

                {
                    data: 'action',
                    name: 'action',
                    orderable: true,
                    searchable: true
                },

            ]
        });

    });
  </script>
@endsection
