@extends('admin-layouts.layouts')
@section('extralibrary')
<link href="{{asset('assets/vendors/datatables/dataTables.bootstrap.min.css')}}" rel="stylesheet">
@endsection
@section('content')
<h2 class="header-title">Report On Space</h2>
<div class="header-sub-title">

</div>
</div>
<div class="card p-3">
    <div class="row">
        <div class="col-md-12 table-responsive">
 
           
                @if (count($reports)>0)
                    
                    <table class="table table-hover " id="myTable">
                        <thead>
                            <tr>
                                <th>Sr #</th>
                                <th>Reporter Name</th>
                                <th>Space Title</th>
                                <th>Reason</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($reports as $report)
                                <tr>
                                    <td>{{ $loop->iteration }}</td>
                                    <td>{{$report->user->username}}</td>
                                    <td>{{$report->space->title}}</td>
                                    <td>{{ $report->reason }}</td>
                                    <td>
                                        <form action="{{ route('admin.spaces.reportaction') }}" method="POST">
                                            @csrf
                                            <input type="hidden" name="report_id" value="{{ $report->id }}">
                                            <button type="submit" name="action" value="approve" class="btn btn-success btn-sm m-1" onclick="return confirm('Are you sure to approve this report?')"> <i class="anticon anticon-check-circle"></i>&nbsp;Approve</button>
                                            <button type="submit" name="action" value="reject" class="btn btn-danger btn-sm m-1" onclick="return confirm('Are you sure to reject this report? ')"> <i class="anticon anticon-close-circle"></i>&nbsp;Delete</button>
                                        </form>
                                    </td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>            
                @else   
                    <div class="alert alert-danger text-center">
                        <b>Reports not found </b>
                    </div>
                @endif
            
           
           
        </div>
    </div>
</div>

@endsection
@section('jslibrary')
<script src="{{asset('assets/vendors/datatables/jquery.dataTables.min.js')}}"></script>
<script src="{{asset('assets/vendors/datatables/dataTables.bootstrap.min.js')}}"></script>
<script type="text/javascript">
    $(function () {
        var table = $('#myTable').DataTable();
    });
  </script>
@endsection
