@extends('admin-layouts.layouts')
@section('extralibrary')
<link href="{{asset('assets/vendors/datatables/dataTables.bootstrap.min.css')}}" rel="stylesheet">
@endsection
@section('content')
<h2 class="header-title">All Sub Categories </h2>
<div class="header-sub-title">

</div>
</div>
<div class="card p-3">
    <div class="row">
        <div class="col-md-12 table-responsive">
            <div class="d-flex justify-content-end">
                <button type="button" class="btn btn-success m-3 btn-xs" data-toggle="modal" data-target="#createModel">
                    <i class="fas fa-plus-circle"></i> Add Sub Category
                </button>
            </div>
            <table id="myTable" class="table table-hover">
                <thead>
                    <tr>
                        <th> Sr # </th>
                        <th>Category  Name</th>
                        <th>Sub Category Name </th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($subcategories as $subcategory)
                        <tr>
                            <td>{{$loop->iteration}}</td>
                            <td>
                                {!!!empty($subcategory->category)?$subcategory->category->name:"<span class='text-danger' title='Category not existed' >Unknown</span>"!!}
                            </td>
                            <td>{{$subcategory->name}}</td>
                            <td>
                                <form action="{{route('admin.subcategories.delete',$subcategory)}}" method="post">
                                    <a href="{{route('admin.subcategories.edit',$subcategory)}}" class="text-primary  btn-xs " >
                                        <i class="fas fa-pencil-alt"></i>
                                    </a>
                                    <button style="border: none" type="submit" onclick="return confirm('Are You Sure ?')"><i class="fa fa-trash text-danger"></i></button>
                                    @csrf
                                </form>
                            </td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>
{{-- Create model  --}}
<div class="modal fade" id="createModel">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalCenterTitle">Add Sub Category</h5>
                <button type="button" class="close" data-dismiss="modal">
                    <i class="anticon anticon-close"></i>
                </button>
            </div>
            <form action="{{ route('admin.subcategories.store') }}" method="post" id="create_subcategory">
                @csrf
                <div class="modal-body">
                    <div class="form-group">
                        <label for="">Category Name</label>
                        <select name="category_id" class="form-control">
                            <option value="">Select Category</option>
                            @foreach ($categories as $category)
                                <option value="{{$category->id}}">{{$category->name}}</option>
                            @endforeach
                        </select>
                    </div>
                
                    <div class="form-group">
                        <label for="">Category Name Name</label>
                        <input type="text" class="form-control" name="name" >
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-primary">Add Category</button>
                    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                </div>
            </form>
        </div>
    </div>
</div>

@endsection
@section('jslibrary')

<script src="{{asset('assets/vendors/datatables/jquery.dataTables.min.js')}}"></script>
<script src="{{asset('assets/vendors/datatables/dataTables.bootstrap.min.js')}}"></script>
<script src="{{ asset('assets/vendors/jquery-validation/jquery.validate.min.js')}}"></script>
<script>
    $(document).ready(function(){
        $('#myTable').DataTable();
        $("#create_subcategory" ).validate({
            ignore: ':hidden:not(:checkbox)',
            errorElement: 'label',
            errorClass: 'is-invalid',
            validClass: 'is-valid',
            rules: {
                category_id: {
                    required: true
                },
                name: {
                    required: true
                },
            }
        });
       
    });
</script>
@endsection
