@extends('admin-layouts.layouts')
@section('extralibrary')
<link href="{{asset('assets/vendors/datatables/dataTables.bootstrap.min.css')}}" rel="stylesheet">
@endsection
@section('content')
<h2 class="header-title">Edit User Profile </h2>
<div class="header-sub-title">
    {{-- <nav class="breadcrumb breadcrumb-dash">
        <a href="#" class="breadcrumb-item"><i class="anticon anticon-home m-r-5"></i>Home</a>
        <a class="breadcrumb-item" href="#">Components</a>
        <span class="breadcrumb-item active">Accordion</span>
    </nav> --}}
</div>
</div>
<div class="row">
    <div class="col-md-3">
        <div class="card p-2 d-flex align-items-center justify-content-center">
            <div class="card-title">User Profile Image</div>
            @if(!empty(Auth::user()->profile_image))
                <div class="d-md-flex align-items-center">
                    <div class="text-center text-sm-left d-flex align-items-center justify-content-center">
                        <div class="avatar avatar-image  " style="width: 150px; height:150px;text-align:center;">
                            <img src="{{getMedia(Auth::user()->profile_image)}}" alt="">
                        </div>
                    </div>
                </div>
            @endif
        </div>
    </div>
    <div class="col-md-6">

        <div class="card p-4">
            <h3>Edit Profile </h3>
            <form action="{{route('admin.updateprofile')}}" method="post" enctype="multipart/form-data">
                @csrf
                <div class="form-group">
                    <label for="">Name</label>
                    <input type="text" class="form-control" name="first_name" value="{{Auth::user()->first_name}}">
                    @error('first_name')
                        <div class="text-danger">{{ $message }}</div>
                    @enderror
                </div>
                <div class="form-group">
                    <label for="">Last Name</label>
                    <input type="text" class="form-control" name="last_name" value="{{Auth::user()->last_name}}">
                    @error('last_name')
                        <div class="text-danger">{{ $message }}</div>
                    @enderror
                </div>
                <div class="form-group">
                    <label for="">Email</label>
                    <input type="text" class="form-control"  value="{{Auth::user()->email}}" disabled>
                </div>
                <div class="form-group">
                    <label for="">Coin in Wallet </label>
                    <input type="text" class="form-control"  value="{{Auth::user()->my_wallet}}" disabled>
                </div>

                <div class="form-group">
                    <label for="">User Profile </label>
                    <input type="file" class="form-control" name="profile_image" >
                    @error('profile_image')
                        <div class="text-danger">{{ $message }}</div>
                    @enderror
                </div>
                <div class="form-group">
                    <label for="">Facebook Account Url </label>
                    <input type="url" class="form-control" name="facebook" value="{{Auth::user()->facebook}}">

                </div>
                <div class="form-group">
                    <label for="">Instagram Account Url  </label>
                    <input type="url" class="form-control" name="instagram" value="{{Auth::user()->instagram}}">
                </div>
                <div class="form-group">
                    <label for="">Youtube  Account Url  </label>
                    <input type="url" class="form-control" name="youtube" value="{{Auth::user()->youtube}}">
                </div>
                <div class="form-group">
                    <button type="submit" class="btn btn-success"> Submit</button>
                    <a href="{{route('admin.dashboard')}}" class="btn btn-danger"> Back</a>
                </div>

            </form>

        </div>
    </div>
</div>
@endsection
@section('jslibrary')

{{-- <script src="{{asset('assets/vendors/datatables/jquery.dataTables.min.js')}}"></script>
<script src="{{asset('assets/vendors/datatables/dataTables.bootstrap.min.js')}}"></script>
<script>
    $('#data-table').DataTable();
</script> --}}
@endsection
