@extends('admin-layouts.layouts')
@section('extralibrary')
<link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />
@endsection
@section('content')
<h2 class="header-title">Assign Permission</h2>
<div class="header-sub-title">
    {{-- <nav class="breadcrumb breadcrumb-dash">
        <a href="#" class="breadcrumb-item"><i class="anticon anticon-home m-r-5"></i>Home</a>
        <a class="breadcrumb-item" href="#">Components</a>
        <span class="breadcrumb-item active">Accordion</span>
    </nav> --}}
</div>
</div>
<div class="card p-3">
    <div class="row">
        <div class="col-md-6 offset-md-3">
            <h3>Assign Permissions</h3>
            <form action="{{route('admin.roles.allowpermissions',$user)}}" method="post" enctype="multipart/form-data">
                @csrf
               <div class="form-group">
                <label for="">Select Permissions</label> <span class="badge bage-dark" style="cursor: pointer" id="selectall"> Select All</span>
                {{-- <span class="badge badge-danger" id="removeall"> Remove All</span> --}}
                <select name="permissions[]" id="permission" class="form-control" multiple>
                    @foreach ($permissions as $permission)
                        <option value="{{$permission->name}}" {{($role->hasPermissionTo($permission->name))?'selected':''}}>{{$permission->name}}</option>
                    @endforeach
                </select>
               </div>
                <div class="form-group">
                    <button type="submit" class="btn btn-success"> Submit</button>
                    <a href="{{route('admin.users.index')}}" class="btn btn-danger"> Back</a>
                </div>
            </form>
        </div>
    </div>
</div>
@endsection
@section('jslibrary')
<script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
<script>
$(document).ready(function() {
    $('#permission').select2();

});
$(document).on('click','#selectall',function(){
    $('#permission').select2('destroy').find('option').prop('selected', 'selected').end().select2();
});



</script>
@endsection
