@extends('admin-layouts.layouts')
@section('extralibrary')
<link href="{{asset('assets/vendors/datatables/dataTables.bootstrap.min.css')}}" rel="stylesheet">
@endsection
@section('content')
<h2 class="header-title">All Users</h2>
<div class="header-sub-title">

</div>
</div>
<div class="card p-3">
    <div class="row">
        <div class="col-md-12 table-responsive">
            <table id="myTable" class="table table-hover">
                <thead>
                    <tr>
                        <th>Sr # </th>
                        <th>User Name</th>
                        <th>Email Address</th>
                        <th>Follower </th>
                        <th>Following</th>
                        <th>Roles</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                   
                </tbody>
            </table>
        </div>
    </div>
</div>

<div class="modal fade" id="exampleModalCenter">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalCenterTitle">Create New Role</h5>
                <button type="button" class="close" data-dismiss="modal">
                    <i class="anticon anticon-close"></i>
                </button>
            </div>
            <form action="{{route('admin.roles.store')}}" method="post" id="create-role">
                @csrf
                <div class="modal-body">
                    <div class="form-group">
                        <label for="">Name</label>
                        <input type="text" class="form-control" name="name" placeholder="Enter Role Name" required>
                    </div>
                </div>
                <div class="modal-footer ">
                    <button type="button" class="btn btn-default btn-xs  " data-dismiss="modal">Close</button>
                    <button type="submit"  class="btn btn-primary btn-xs"><i class="fas fa-plus-circle"></i> Add Role</button>
                </div>
            </form>
        </div>
    </div>
</div>
@endsection
@section('jslibrary')
<script src="{{asset('assets/vendors/jquery-validation/jquery.validate.min.js')}}"></script>
<script src="{{asset('assets/vendors/datatables/jquery.dataTables.min.js')}}"></script>
<script src="{{asset('assets/vendors/datatables/dataTables.bootstrap.min.js')}}"></script>
<script>
    $(document).ready(function(){
        $('#myTable').DataTable({
            processing: true,
            serverSide: true,
            ajax: "{{ route('admin.users.userlist') }}",
            columns: [
                {data: 'DT_RowIndex', name: 'DT_RowIndex'},
                
               
            
                {data: 'username', name: 'username'},
                {data: 'email', name: 'email'},
                {data: 'follower_count', name: 'follower_count'},
                {data: 'following_count', name: 'following_count'},
                {data: 'roles', name: 'roles'},
               
                {
                    data: 'action', 
                    name: 'action', 
                    orderable: true, 
                    searchable: true
                },
            ]
        });
    });
    

</script>
@endsection
