@extends('admin-layouts.layouts')
@section('extralibrary')
<link href="{{asset('assets/vendors/datatables/dataTables.bootstrap.min.css')}}" rel="stylesheet">
@endsection
@section('content')
<h2 class="header-title">User Report List</h2>
<div class="header-sub-title">

</div>
</div>
<div class="card p-3">
    <div class="row">
        <div class="col-md-12 table-responsive">
            <table id="myTable" class="table table  table-hover">
                <thead>
                    <tr>
                        <th>Sr # </th>
                        <th>Report User   </th>
                        <th>Reprted User</th>
                        <th>Reason</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                    @if (!empty($reports))
                        @foreach ($reports as $report)
                            <tr>
                                <td>{{$loop->iteration}}</td>
                                <td>{{$report->fromUser->username}}</td>
                                <td>{{$report->toUser->username}}</td>
                                <td>{{$report->reason}}</td>  
                                <td>
                                    <form action="{{ route('admin.users.reportaction') }}" method="POST">
                                        @csrf
                                        <input type="hidden" name="report_id" value="{{ $report->id }}">
                                        <button type="submit" name="action" value="approve" class="btn btn-success btn-sm" onclick="return confirm('Are you sure to approve this report')"> <i class="anticon anticon-check-circle"></i> Approve</button>
                                        <button type="submit" name="action" value="reject" class="btn btn-danger btn-sm" onclick="return confirm('Are you sure to reject this report')"> <i class="anticon anticon-close-circle"></i> Reject</button>
                                    </form>
                                </td>                              
                            </tr>
                        @endforeach
                    @endif
                </tbody>
            </table>
        </div>
    </div>
</div>

@endsection
@section('jslibrary')

<script src="{{asset('assets/vendors/datatables/jquery.dataTables.min.js')}}"></script>
<script src="{{asset('assets/vendors/datatables/dataTables.bootstrap.min.js')}}"></script>
<script src="{{asset('assets/js/pages/form-validation.js')}}"></script>
<script type="text/javascript">
    $(function () {
        var table = $('#myTable').DataTable();

    });

    $( "#create_gateway" ).validate({
        ignore: ':hidden:not(:checkbox)',
        errorElement: 'label',
        errorClass: 'is-invalid',
        validClass: 'is-valid',
        rules: {
            name: {
                required: true
            },
           

        }
});
  </script>
@endsection
