@extends('layouts.app')

@section('content')

<div class="app">
    <div class="container-fluid p-h-0 p-v-20 bg full-height d-flex" style="background-image: url('{{asset('assets/images/others/login-3.png')}}')">
        <div class="d-flex flex-column justify-content-between w-100">
            <div class="container d-flex h-100">
                <div class="row align-items-center w-100">
                    <div class="col-md-7 col-lg-5 m-h-auto">
                        <div class="card shadow-lg">
                            <div class="card-body">
                                <div class="d-flex align-items-center justify-content-between m-b-30 border-bottom pb-2">
                                    <a href="{{url('')}}">
                                        <img class="img-fluid" src="{{getMedia(get_setting('website_logo'))}}" alt="{{getMedia('website_logo')}}" width="150px" height="80px">
                                    </a>
                                    <h2 class="m-b-0">Sign In</h2>
                                    
                                </div>
                                 <form method="POST" action="{{ route('login') }}">
                                    @csrf
                                    <div class="form-group">
                                        <label class="font-weight-semibold" for="userName">Email:</label>
                                        <div class="input-affix">
                                            <i class="prefix-icon anticon anticon-user"></i>
                                            <input id="email" type="email" class="form-control @error('email') is-invalid @enderror" name="email" value="admin@gmail.com" required autocomplete="email" autofocus >
                                        </div>
                                        @error('email')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                    @if ($errors->any())
                                        @foreach ($errors->all() as $error)
                                            <li class="text-danger list-unstyled">{{ $error }}</li>
                                        @endforeach
                                
                                    @endif
                                    @if (session('status'))
                                            <li class="text-danger list-unstyled">{{ session('status') }}</li>
                                    @endif
                                    <div class="form-group">

                                        <div class="input-affix m-b-10">
                                            <i class="prefix-icon anticon anticon-lock"></i>
                                            <input id="password" type="password" class="form-control @error('password') is-invalid @enderror" name="password" required autocomplete="current-password" value="12345678">
                                            @error('password')
                                                <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <div class="d-flex align-items-center justify-content-between">
                                            <span class="font-size-13 text-muted">
                                                <a class="float-right font-size-13 text-muted" href="{{ route('password.request') }}">Forget Password?</a>
                                            </span>
                                            <button class="btn btn-primary">Sign In</button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                        <ul class="list-inline list-unstyled d-flex justify-content-center">
                            <li class="list-inline-item m-2"><a href="{{route('termCondition')}}" class="text-decoration-none">Term & Conditions</a></li>       
                            <li class="list-inline-item m-2"><a href="{{route('privacyPolicy')}}" class="text-decoration-none">Privacy Policy</a></li>
                            <li class="list-inline-item m-2"><a href="{{route('cookiePolicy')}}" class="text-decoration-none">Cookie Policy</a></li>
                            <li class="list-inline-item m-2"><a href="{{route('aboutUs')}}" class="text-decoration-none">About Us</a></li>
                        </ul>
                        
                        
                    </div>
                </div>
            </div>
            
        </div>
    </div>
</div>

@endsection
