<!DOCTYPE html>
<html>
<head>
    <title>Laravel Installer</title>
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/app.min.css')); ?>">
    <link rel="shortcut icon" href="<?php echo e(asset('uploads/placeholder/favicon.png')); ?>">

</head>
<body>
    <div class="container">
        <div class="row">
            
            <div class="col-md-6 offset-md-3 mt-5">
                <div class=" text-center">
                    <img src="<?php echo e(asset('uploads/placeholder/club92.png')); ?>" alt="" class="img-fluid mx-auto d-block" width="50%">
                </div>
                <div class="card">
                   
                    <div class="card-header">
                        <h3 class="card-title"> Applciation Installer </h3>
                        <?php
                            $requiredVersion = 8.1;
                        ?>
                        <?php if(phpversion()>$requiredVersion): ?>
                            <form action="<?php echo e(route('install.store')); ?>" method="POST">
                                <?php if(session('error')): ?>
                                    <div class="alert alert-danger">
                                        <?php echo e(session('error')); ?>

                                    </div>
                                <?php endif; ?>
                                
                                <?php echo csrf_field(); ?>
                                <div class="form-group">
                                    <label for="db_host" class="font-weight:bold;">Database Host:</label>
                                    <input type="text" id="db_host" name="db_host" required  class="form-control">
                                </div>
                                <div class="form-group">
                                    <label for="db_port">Database Port:</label>
                                    <input type="text" id="db_port" name="db_port" required class="form-control">
                                </div>
                                <div class="form-group">
                                    <label for="db_database">Database Name:</label>
                                    <input type="text" id="db_database" name="db_database" required class="form-control">
                                </div>        
                                <div class="form-group">
                                    <label for="db_username">Database Username:</label>
                                    <input type="text" id="db_username" name="db_username" required class="form-control">
                                </div>
                                <div class="form-group">
                                    <label for="db_password">Database Password:</label>
                                    <input type="password" id="db_password" name="db_password"  class="form-control">
                                </div>
                                <div class="form-group">
                                    <label for="db_password">Domain name:</label>
                                    <input type="text" id="domin_name" name="domain_name"  class="form-control" value="<?php echo e(request()->root()); ?>">
                                </div>
                                <button type="submit" class="btn btn-success mt-2 mb-2">Install</button>
                            </form>
                        <?php else: ?>
                        <li style="list-style-type:none ">Current verison is <b><?php echo e(phpversion()); ?></b> Required Php Version is <b><?php echo e($requiredVersion); ?></b></li> 
                        <div class="alert alert-danger mt-1"> Your Php version is not compateable with this laravel version</div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
<?php /**PATH D:\xampp\htdocs\club92\resources\views/install.blade.php ENDPATH**/ ?>