
<?php $__env->startSection('extralibrary'); ?>
<link href="<?php echo e(asset('assets/vendors/datatables/dataTables.bootstrap.min.css')); ?>" rel="stylesheet">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<h2 class="header-title"><?php echo e($page_title); ?></h2>
<div class="header-sub-title">

</div>
</div>
<div class="card p-3">
    <div class="row">
        <div class="col-md-12">
            <div class="d-flex justify-content-end">
                <button type="button" class="btn btn-success m-3 btn-xs" data-toggle="modal" data-target="#createModel">
                    <i class="fas fa-plus-circle"></i> Add Gift
                </button>
            </div>
            <div class="table-responsive">
                <table id="myTable" class="table table-hover">
                    <thead>
                        <tr>
                            <th> Sr # </th>
                            <th>Gift Name</th>
                            <th>Gift Image</th>
                            <th>Gift Price</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $gifts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $gift): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><?php echo e($loop->iteration); ?></td>
                                <td><?php echo e($gift->name); ?></td>
                                <td><img src="<?php echo e(getMedia($gift->image)); ?>" width="50px" height="50px"></td>
                                <td><?php echo e($gift->price); ?></td>
                                <td>
                                    <form action="<?php echo e(route('admin.gifts.delete',$gift)); ?>" method="post">
                                        <a href="<?php echo e(route('admin.gifts.edit',$gift->id)); ?>" class="text-primary  btn-xs " >
                                            <i class="fas fa-pencil-alt"></i>
                                        </a>
                                        <button style="border: none" type="submit" onclick="return confirm('Are You Sure ?')"><i class="fa fa-trash text-danger"></i></button>
                                        <?php echo csrf_field(); ?>
                                    </form>
                                </td>
    
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
<!-- Modal for Adding a Technology (Gift) -->
<div class="modal fade" id="createModel">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalCenterTitle">Add Gift</h5>
                <button type="button" class="close" data-dismiss="modal">
                    <i class="anticon anticon-close"></i>
                </button>
            </div>
            <form action="<?php echo e(route('admin.gifts.store')); ?>" method="post" id="create_gift" enctype="multipart/form-data">
                <?php echo csrf_field(); ?>
                <div class="modal-body">
                    <div class="form-group">
                        <label for="">Gift Name</label>
                        <input type="text" name="name" class="form-control" required>
                    </div>
                    <div class="form-group">
                        <label for="">Gift Price</label>
                        <input type="number" class="form-control" name="price" required>
                    </div>                
                    <div class="form-group">
                        <label for="">Gift Image</label>
                        <input type="file" class="form-control" name="image" required>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-primary">Add Gift</button>
                    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                </div>
            </form>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('jslibrary'); ?>
<!-- Include JS Files for DataTable and Validation -->
<script src="<?php echo e(asset('assets/vendors/datatables/jquery.dataTables.min.js')); ?>"></script>
<script src="<?php echo e(asset('assets/vendors/datatables/dataTables.bootstrap.min.js')); ?>"></script>
<script src="<?php echo e(asset('assets/vendors/jquery-validation/jquery.validate.min.js')); ?>"></script>
<script src="https://cdn.jsdelivr.net/jquery.validation/1.19.2/additional-methods.min.js"></script>

<script>
 $(document).ready(function() {
    $('#create_gift').submit(function(e) {
        var file = $('input[type="file"]').val();
        var exts = ['jpg', 'jpeg', 'png', 'gif'];
        // Check extension
        if (file) {
            var get_ext = file.split('.');
            get_ext = get_ext.reverse();
            if ($.inArray(get_ext[0].toLowerCase(), exts) > -1) {
                return true; // valid file extension
            } else {
                e.preventDefault(); // prevent form submission
                alert('Invalid file type! Only JPG, JPEG, PNG, and GIF files are allowed.');
                return false;
            }
        }
    });

    $("#create_gift").validate({
        ignore: ':hidden:not(:checkbox)',
        errorElement: 'label',
        errorClass: 'is-invalid',
        validClass: 'is-valid',
        rules: {
            name: {
                required: true
            },
            price: {
                required: true,
                number: true
            },
            image: {
                required: true // We check the extension manually
            }
        },
        messages: {
            image: {
                required: "Please upload an image"
            }
        }
    });
});

</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin-layouts.layouts', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp\htdocs\club92_backend\resources\views/admin/gifts/index.blade.php ENDPATH**/ ?>